diff --git a/reactos/base/applications/cmdutils/help/lang/tr-TR.rc b/reactos/base/applications/cmdutils/help/lang/tr-TR.rc
index a49d84e..38bc1b4 100644
--- a/reactos/base/applications/cmdutils/help/lang/tr-TR.rc
+++ b/reactos/base/applications/cmdutils/help/lang/tr-TR.rc
@@ -18,7 +18,7 @@ HELP [komut]\n\n\
 ?        Tüm kullanılabilir komutları dizelgele (tanımlar olmadan).\n\
 ALIAS    Başka adları ayarlar, siler ya da gösterir.\n\
 ATTRIB   Kütük öz niteliklerini görüntüler ya da değiştirir.\n\
-BEEP     Hoparlörden ""biip"" sesi çıkart.\n\
+BEEP     Hoparlörden ""bip"" sesi çıkart.\n\
 CALL     Bir toplu iş izlencesini bir başkasından çağırır.\n\
 CD       Şimdiki dizinin adını görüntüler ya da şimdiki dizini değiştirir.\n\
 CHCP     Etkin kod sayfası numarasını görüntüler ya da ayarlar.\n\
diff --git a/reactos/base/applications/cmdutils/reg/lang/tr-TR.rc b/reactos/base/applications/cmdutils/reg/lang/tr-TR.rc
index 79ccb9a..577ef6f 100644
--- a/reactos/base/applications/cmdutils/reg/lang/tr-TR.rc
+++ b/reactos/base/applications/cmdutils/reg/lang/tr-TR.rc
@@ -34,5 +34,5 @@ STRINGTABLE
     STRING_INVALID_OPTION, "reg: Geçersiz seçenek [%1]. "
     STRING_REG_HELP, "Yardım için ""REG /?"" yazınız.\n"
     STRING_FUNC_HELP, "Yardım için ""REG %1 /?"" yazınız.\n"
-    STRING_VALUE_NOT_SET, "(value not set)"
+    STRING_VALUE_NOT_SET, "(Değer belirlenmemiş.)"
 }
diff --git a/reactos/base/applications/fltmc/lang/tr-TR.rc b/reactos/base/applications/fltmc/lang/tr-TR.rc
index ce39abf..65d1289 100644
--- a/reactos/base/applications/fltmc/lang/tr-TR.rc
+++ b/reactos/base/applications/fltmc/lang/tr-TR.rc
@@ -1,27 +1,29 @@
+/* TRANSLATOR: 2016 Erdem Ersoy (eersoy93) (erdemersoy@live.com) */
+
 LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 
 STRINGTABLE
 BEGIN
-    IDS_USAGE "\nValid commands :\n\
-               load        Loads a Filter driver\n\
-               unload      Unloads a Filter driver\n\
-               filters     Lists the Filters currently registered in the system\n\n\0"
+    IDS_USAGE "\nGeçerli komutlar:\n\
+               load        Bir süzgeç sürücüsünü yükler\n\
+               unload      Bir süzgeç sürücüsünü kaldırır\n\
+               filters     Dizgede şimdilik kayıtlı süzgeçleri dizelgeler\n\n\0"
 
-    IDS_USAGE_LOAD      "Loads a filter driver\n\0"
-    IDS_USAGE_UNLOAD    "Unloads a filter driver\n\0"
-    IDS_USAGE_FILTERS   "Lists all registered filters\n\0"
+    IDS_USAGE_LOAD      "Bir süzgeç sürücüsünü yükler\n\0"
+    IDS_USAGE_UNLOAD    "Bir süzgeç sürücüsünü kaldırır\n\0"
+    IDS_USAGE_FILTERS   "Kayıtlı tüm süzgeçleri dizelgeler\n\0"
 END
 
 STRINGTABLE
 BEGIN
-    IDS_DISPLAY_FILTERS1    "Filter Name                     Num Instances    Altitude    Frame\n\0"
-    IDS_DISPLAY_FILTERS2    "Filter Name                     Num Instances   Frame\n\0"
+    IDS_DISPLAY_FILTERS1    "Süzgeç Adı                      Örnek Sayısı     Yükseklik    Kare\n\0"
+    IDS_DISPLAY_FILTERS2    "Süzgeç Adı                      Örnek Sayısı       Kare\n\0"
 END
 
 STRINGTABLE
 BEGIN
-    IDS_ERROR_PRIV      "Failed to set the driver load privilige (0x%X)\n\0"
-    IDS_ERROR_FILTERS   "Failed to list the filters (0x%X)\n\0"
-    IDS_ERROR_LOAD      "Failed to load the filter (0x%X)\n\0"
-    IDS_ERROR_UNLOAD    "Failed to unload the filter (0x%X)\n\0"
+    IDS_ERROR_PRIV      "Sürücü yüklemesi ayrıcalığı ayarlama başarısız (0x%X)\n\0"
+    IDS_ERROR_FILTERS   "Süzgeçleri dizelgeleme başarısız (0x%X)\n\0"
+    IDS_ERROR_LOAD      "Süzgeçleri yükleme başarısız (0x%X)\n\0"
+    IDS_ERROR_UNLOAD    "Süzgeçleri kaldırma başarısız (0x%X)\n\0"
 END
diff --git a/reactos/base/applications/mmc/lang/tr-TR.rc b/reactos/base/applications/mmc/lang/tr-TR.rc
index 8f5b95d..2c08e6c 100644
--- a/reactos/base/applications/mmc/lang/tr-TR.rc
+++ b/reactos/base/applications/mmc/lang/tr-TR.rc
@@ -9,7 +9,7 @@ BEGIN
         MENUITEM "&Yeni\tDenetim+N", IDM_FILE_NEW
         MENUITEM "&Aç\tDenetim+O", IDM_FILE_OPEN
         MENUITEM SEPARATOR
-        MENUITEM "&Çıkış\tSeçenek+İ4", IDM_FILE_EXIT
+        MENUITEM "&Çıkış\tSeçenek+F4", IDM_FILE_EXIT
     END
     POPUP "&Yardım"
     BEGIN
@@ -26,7 +26,7 @@ BEGIN
         MENUITEM "&Sakla", IDM_FILE_SAVE
         MENUITEM "Ay&rı Sakla...", IDM_FILE_SAVEAS
         MENUITEM SEPARATOR
-        MENUITEM "&Çıkış\tSeçenek+İ4", IDM_FILE_EXIT
+        MENUITEM "&Çıkış\tSeçenek+F4", IDM_FILE_EXIT
     END
     POPUP "&Pencereler"
     BEGIN
diff --git a/reactos/base/applications/mscutils/servman/lang/tr-TR.rc b/reactos/base/applications/mscutils/servman/lang/tr-TR.rc
index 4869c4d..ee4326a 100644
--- a/reactos/base/applications/mscutils/servman/lang/tr-TR.rc
+++ b/reactos/base/applications/mscutils/servman/lang/tr-TR.rc
@@ -1,4 +1,4 @@
-/* TRANSLATOR: 2013, 2014 Erdem Ersoy (eersoy93) (erdemersoy@live.com) */
+/* TRANSLATOR: 2013, 2014, 2016 Erdem Ersoy (eersoy93) (erdemersoy@live.com) */
 
 LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 
@@ -104,52 +104,52 @@ BEGIN
 END
 
 IDD_LOGON DIALOGEX 6, 6, 253, 232
-CAPTION "Log On"
+CAPTION "Oturum Aç"
 FONT 8, "MS Shell Dlg", 0, 0
 STYLE DS_SHELLFONT | WS_BORDER | WS_VISIBLE | WS_DLGFRAME | WS_SYSMENU | WS_GROUP | WS_TABSTOP
 BEGIN
-    LTEXT "Log on as:", IDC_STATIC, 7, 7, 238, 8
-    AUTORADIOBUTTON "&Local System account", IDC_LOGON_SYSTEMACCOUNT, 7, 22, 238, 10, BS_TOP | BS_MULTILINE | WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP
-    AUTORADIOBUTTON "&This account:", IDC_LOGON_THISACCOUNT, 7, 52, 60, 10, BS_TOP | BS_MULTILINE | WS_CHILD | WS_VISIBLE
-    AUTOCHECKBOX "Allo&w service to interact with desktop", IDC_LOGON_INTERACTIVE, 18, 34, 227, 10, WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP | BS_TOP | BS_MULTILINE
+    LTEXT "Olarak Oturum Aç:", IDC_STATIC, 7, 7, 238, 8
+    AUTORADIOBUTTON "&Yerli Dizge Hesâbı", IDC_LOGON_SYSTEMACCOUNT, 7, 22, 238, 10, BS_TOP | BS_MULTILINE | WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP
+    AUTORADIOBUTTON "&Bu Hesap:", IDC_LOGON_THISACCOUNT, 7, 52, 60, 10, BS_TOP | BS_MULTILINE | WS_CHILD | WS_VISIBLE
+    AUTOCHECKBOX "&Hizmetin Masaüstüyle Etkileşimine İzin Ver", IDC_LOGON_INTERACTIVE, 18, 34, 227, 10, WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP | BS_TOP | BS_MULTILINE
     EDITTEXT IDC_LOGON_ACCOUNTNAME, 72, 50, 103, 14, ES_LEFT | ES_AUTOHSCROLL | WS_CHILD | WS_VISIBLE | WS_BORDER | WS_GROUP | WS_TABSTOP
-    PUSHBUTTON "&Browse...", IDC_LOGON_SEARCH, 185, 50, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
-    LTEXT "&Password:", IDC_LOGON_PW1TEXT, 18, 71, 33, 8, WS_CHILD | WS_VISIBLE | WS_DISABLED | WS_GROUP
+    PUSHBUTTON "&Göz At...", IDC_LOGON_SEARCH, 185, 50, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
+    LTEXT "&Şifre:", IDC_LOGON_PW1TEXT, 18, 71, 33, 8, WS_CHILD | WS_VISIBLE | WS_DISABLED | WS_GROUP
     EDITTEXT IDC_LOGON_PASSWORD1, 72, 68, 104, 14, ES_LEFT | ES_PASSWORD | ES_AUTOHSCROLL | WS_CHILD | WS_VISIBLE | WS_BORDER | WS_TABSTOP
-    LTEXT "&Confirm password:", IDC_LOGON_PW2TEXT, 18, 84, 47, 18, WS_CHILD | WS_VISIBLE | WS_DISABLED | WS_GROUP
+    LTEXT "Ş&ifreyi Doğrula:", IDC_LOGON_PW2TEXT, 18, 84, 47, 18, WS_CHILD | WS_VISIBLE | WS_DISABLED | WS_GROUP
     EDITTEXT IDC_LOGON_PASSWORD2, 72, 86, 104, 14, ES_LEFT | ES_PASSWORD | ES_AUTOHSCROLL | WS_CHILD | WS_VISIBLE | WS_BORDER | WS_TABSTOP
-    LTEXT "You can enable or disable this service for the hardware profiles listed below:", IDC_STATIC, 7, 114, 210, 8, WS_CHILD | WS_VISIBLE | WS_GROUP
+    LTEXT "Aşağıda dizelgelenen donanım profilleri için bu hizmeti etkinleştirebilir ya da edilginleştirebilirsiniz:", IDC_STATIC, 7, 114, 210, 8, WS_CHILD | WS_VISIBLE | WS_GROUP
     CONTROL "", IDC_LOGON_HWPROFILE, "SysListView32", LVS_REPORT | LVS_SINGLESEL | LVS_SHOWSELALWAYS | LVS_NOSORTHEADER | WS_CHILD | WS_VISIBLE | WS_BORDER | WS_GROUP | WS_TABSTOP, 7, 124, 238, 65
-    PUSHBUTTON "&Enable", IDC_LOGON_HWENABLE, 116, 197, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_DISABLED
-    PUSHBUTTON "&Disable", IDC_LOGON_HWDISABLE, 185, 197, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_DISABLED
+    PUSHBUTTON "&Etkinleştir", IDC_LOGON_HWENABLE, 116, 197, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_DISABLED
+    PUSHBUTTON "E&dilginleştir", IDC_LOGON_HWDISABLE, 185, 197, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_DISABLED
 END
 
 IDD_RECOVERY DIALOGEX 6, 6, 253, 232
-CAPTION "Recovery"
+CAPTION "Kurtarma"
 FONT 8, "MS Shell Dlg", 0, 0
 STYLE DS_SHELLFONT | WS_BORDER | WS_VISIBLE | WS_DLGFRAME | WS_SYSMENU | WS_GROUP | WS_TABSTOP
 BEGIN
-    LTEXT "Select the computer's response if this service fails.", IDC_STATIC, 7, 7, 238, 8
-    LTEXT "&First failure:", IDC_STATIC, 7, 24, 92, 8
+    LTEXT "Bu hizmet başarısız olduğunda bilgisayarın tepkisini seçiniz.", IDC_STATIC, 7, 7, 238, 8
+    LTEXT "&İlk başarısızlık:", IDC_STATIC, 7, 24, 92, 8
     COMBOBOX IDC_FIRST_FAILURE, 104, 22, 141, 147, WS_CHILD | WS_VISIBLE | WS_TABSTOP | CBS_DROPDOWNLIST
-    LTEXT "&Second failure:", IDC_STATIC, 7, 41, 92, 8
+    LTEXT "İ&kinci başarısızlık:", IDC_STATIC, 7, 41, 92, 8
     COMBOBOX IDC_SECOND_FAILURE, 104, 39, 141, 147, WS_CHILD | WS_VISIBLE | WS_TABSTOP | CBS_DROPDOWNLIST
-    LTEXT "Subsequent failures:", IDC_STATIC, 7, 58, 92, 8
+    LTEXT "Sonraki başarısızlıklar:", IDC_STATIC, 7, 58, 92, 8
     COMBOBOX IDC_SUBSEQUENT_FAILURES, 104, 56, 141, 147, WS_CHILD | WS_VISIBLE | WS_TABSTOP | CBS_DROPDOWNLIST
-    LTEXT "Reset fail c&ounter after:", IDC_STATIC, 7, 75, 72, 8
+    LTEXT "&Şundan sonra başarısılık sayacını sıfırla:", IDC_STATIC, 7, 75, 72, 8
     EDITTEXT IDC_RESET_TIME, 104, 73, 40, 13, WS_CHILD | WS_VISIBLE | WS_BORDER | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL | ES_NUMBER
-    LTEXT "days", IDC_STATIC, 150, 75, 95, 8
-    LTEXT "Restart ser&vice after:", IDC_RESTART_TEXT1, 7, 92, 92, 8
+    LTEXT "gün", IDC_STATIC, 150, 75, 95, 8
+    LTEXT "Ş&undan sonra hizmeti yeniden başlat:", IDC_RESTART_TEXT1, 7, 92, 92, 8
     EDITTEXT IDC_RESTART_TIME, 104, 90, 40, 13, WS_CHILD | WS_VISIBLE | WS_BORDER | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL | ES_NUMBER
-    LTEXT "minutes", IDC_RESTART_TEXT2, 150, 92, 95, 8
-    GROUPBOX "Run program", IDC_RUN_GROUPBOX, 7, 108, 238, 80
-    LTEXT "&Program:", IDC_RUN_TEXT1, 14, 121, 168, 8
+    LTEXT "dakîka", IDC_RESTART_TEXT2, 150, 92, 95, 8
+    GROUPBOX "İzlence Çalıştır", IDC_RUN_GROUPBOX, 7, 108, 238, 80
+    LTEXT "İ&zlence:", IDC_RUN_TEXT1, 14, 121, 168, 8
     EDITTEXT IDC_PROGRAM, 14, 131, 165, 14
-    PUSHBUTTON "&Browse...", IDC_BROWSE_PROGRAM, 180, 131, 58, 14
-    LTEXT "&Command line parameters:", IDC_RUN_TEXT2, 14, 155, 108, 8
+    PUSHBUTTON "&Göz At...", IDC_BROWSE_PROGRAM, 180, 131, 58, 14
+    LTEXT "K&omut yatacı parametreleri:", IDC_RUN_TEXT2, 14, 155, 108, 8
     EDITTEXT IDC_PARAMETERS, 128, 152, 110, 14
-    AUTOCHECKBOX "Append fail count to &end of command line (/fail=%1%)", IDC_ADD_FAILCOUNT, 14, 171, 219, 10, WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_TOP | BS_MULTILINE
-    PUSHBUTTON "&Restart Computer Options...", IDC_RESTART_OPTIONS, 116, 197, 129, 14
+    AUTOCHECKBOX "Ko&mut Yatacının Sonuna Başarısızlık Sayısını Ekle (/fail=%1%)", IDC_ADD_FAILCOUNT, 14, 171, 219, 10, WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_TOP | BS_MULTILINE
+    PUSHBUTTON "&Bilgisayar Seçeneklerini Yeniden Başlat...", IDC_RESTART_OPTIONS, 116, 197, 129, 14
 END
 
 IDD_DLG_DEPEND DIALOGEX 6, 6, 253, 225
@@ -333,14 +333,14 @@ END
 
 STRINGTABLE
 BEGIN
-    IDS_NO_ACTION "Take no action"
-    IDS_RESTART_SERVICE "Restart the Service"
-    IDS_RUN_PROGRAM "Run a Program"
-    IDS_RESTART_COMPUTER "Restart the Computer"
+    IDS_NO_ACTION "Bir İşlem Yapma"
+    IDS_RESTART_SERVICE "Hizmeti Yeniden Başlat"
+    IDS_RUN_PROGRAM "Bir İzlence Çalıştır"
+    IDS_RESTART_COMPUTER "Bilgisayarı Yeniden Başlat"
 END
 
 STRINGTABLE
 BEGIN
-    IDS_NOT_SAME_PASSWORD "The Passwords are not the same!"
-    IDS_INVALID_PASSWORD "Enter a valid Password!"
+    IDS_NOT_SAME_PASSWORD "Şifreler aynı değil!"
+    IDS_INVALID_PASSWORD "Geçerli bir şifre giriniz!"
 END
diff --git a/reactos/base/applications/network/ping/lang/tr-TR.rc b/reactos/base/applications/network/ping/lang/tr-TR.rc
index 90bea31..d471240 100644
--- a/reactos/base/applications/network/ping/lang/tr-TR.rc
+++ b/reactos/base/applications/network/ping/lang/tr-TR.rc
@@ -1,7 +1,7 @@
 /*
  * FILE:        base/applications/network/ping/lang/tr-TR.rc
  * PURPOSE:     Turkish translations for ReactOS Ping Command
- * TRANSLATORS: Erdem Ersoy <erdemersoy@live.com>
+ * TRANSLATORS: 2015, 2016 Erdem Ersoy <erdemersoy@live.com>
  */
 
 LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
@@ -12,51 +12,51 @@ BEGIN
 Kullanım: ping [-t] [-a] [-n sayı] [-l boyut] [-f] [-i TTL] [-v TOS]\n\
             [-w süre aşımı] [-4] [-6] varış anabilgisayarı\n\
 \n\
-Options:\n\
-    -t             Ping the specified host until stopped.\n\
-                   To see statistics and continue - type Control-Break;\n\
-                   To stop - type Control-C.\n\
-    -a             Resolve addresses to hostnames.\n\
+Seçenekler:\n\
+    -t             Belirtilen anabilgisayar durana kadar ping yap.\n\
+                   Sayımlamaları görmek ve sürdürmek için Denetim'e ve Kes'e basınız.\n\
+                   Durdurmak için Denetim'e ve C'ye basınız.\n\
+    -a             Anabilgisayar adları için adresleri çözümle.\n\
     -n sayı        Gönderilecek yankı istekleri sayısı.\n\
     -l boyut       Arabellek boyutunu gönder.\n\
-    -f             Set Don't Fragment flag in packet (IPv4-only).\n\
-    -i TTL         Time To Live.\n\
-    -v TOS         Type Of Service (IPv4-only. This setting has been deprecated\n\
-                   and has no effect on the type of service field in the IP\n\
-                   Header).\n\
-    -w süre aşımı  Tüm yanutlar için beklemeye mili sâniye olarak süre aşımı.\n\
-    -4             Force using IPv4.\n\
-    -6             Force using IPv6.\n\
+    -f             Paketteki imi parçalamamaya ayarla (yalnızca IPv4 için).\n\
+    -i TTL         Yaşama süresi.\n\
+    -v TOS         Hizmet türü (Yalnızca IPv4 için. Bu ayar, kullanımdan\n\
+                   kaldırılmıştır ve IP üst bilgisinde hizmet türü alanı\n\
+                   üzerinde bir etkisi yoktur.\n\
+    -w süre aşımı  Tüm yanıtlar için beklemeye mili sâniye olarak süre aşımı.\n\
+    -4             IPv4 kullanmaya zorla.\n\
+    -6             IPv6 kullanmaya zorla.\n\
 \n"
 
-    IDS_CTRL_BREAK "Control-Break\n"
-    IDS_CTRL_C "Control-C\n"
+    IDS_CTRL_BREAK "Denetim+Kes\n"
+    IDS_CTRL_C "Denetim+C\n"
     IDS_NO_RESOURCES "Kullanılabilir yeterli boş kaynak yok.\n"
-    IDS_MISSING_ADDRESS "IP address must be specified.\n"
-    IDS_MISSING_VALUE "Value must be supplied for option %1.\n"
+    IDS_MISSING_ADDRESS "IP adresi belirtilmelidir.\n"
+    IDS_MISSING_VALUE "Değer %1 seçeneği için sağlanmalıdır.\n"
     IDS_BAD_OPTION "Geçersiz seçenek: %1.\n"
     IDS_BAD_PARAMETER "Geçersiz değişken: %1.\n"
-    IDS_BAD_VALUE "Bad value for option %1, valid range is from %2!d! to %3!u!.\n"
-    IDS_WRONG_FAMILY "The option %1 is only supported for %2.\n"
-    IDS_UNKNOWN_HOST "Ping could not find host %1. Please check the name and try again.\n"
-    IDS_PINGING_ADDRESS "\nPinging %1 %0"
-    IDS_PINGING_HOSTNAME "\nPinging %1 [%2] %0"
-    IDS_SOURCE_ADDRESS "from %1!s! %0"
-    IDS_PING_SIZE "with %1!d! bytes of data:\n\n"
+    IDS_BAD_VALUE "%1 seçeneği için geçersiz değer, geçerli aralık %2!d!'den %3!u!'e dektir.\n"
+    IDS_WRONG_FAMILY "%1 seçeneği yalnızca %2 için desteklenmektedir.\n"
+    IDS_UNKNOWN_HOST "Ping %1 anabilgisayarını bulamadı. Lütfen adı gözden geçirip yeniden deneyiniz.\n"
+    IDS_PINGING_ADDRESS "\nPing yapılıyor: %1 %0"
+    IDS_PINGING_HOSTNAME "\nPing yapılıyor: %1 [%2] %0"
+    IDS_SOURCE_ADDRESS "%1!s!'den %0"
+    IDS_PING_SIZE " %1!d! bayt veriyle:\n\n"
     IDS_REPLY_FROM "%1 varışından yanıt: %0"
     IDS_REPLY_BYTES "çoklu=%1!d! %0"
     IDS_REPLY_TIME_MS "süre=%1!d!ms %0"
     IDS_REPLY_TIME_0MS "süre<1ms %0"
     IDS_REPLY_TTL "TTL=%1!d!\n"
-    IDS_REPLY_STATUS "Echo reply returned %1.\n"
-    IDS_DEST_HOST_UNREACHABLE "Destination host unreachable.\n"
-    IDS_DEST_NET_UNREACHABLE "Destination net unreachable.\n"
+    IDS_REPLY_STATUS "Yankı yanıtı geri döndü %1.\n"
+    IDS_DEST_HOST_UNREACHABLE "Varış anabilgisayarı erişilemez.\n"
+    IDS_DEST_NET_UNREACHABLE "Varış ağı erişilemez.\n"
     IDS_REQUEST_TIMED_OUT "İstek süre aşımına uğradı.\n"
-    IDS_TTL_EXPIRED "TTL expired in transit.\n"
-    IDS_TRANSMIT_FAILED "PING: transmit failed. (Error %1!u!)\n"
+    IDS_TTL_EXPIRED "Geçişte yaşama süresi bitti.\n"
+    IDS_TRANSMIT_FAILED "PING: Geçiş başarısız oldu. (Yanlışlık %1!u!)\n"
 
     IDS_STATISTICS "\n\
-%1!s! için ping atma sayımlamaları:\n\
+%1!s! için ping sayımlamaları:\n\
     Paketler: Gönderilen = %2!d!, Alınan = %3!d!, Yitirilen %4!d! (%%%5!u! yitik),\n"
 
     IDS_APPROXIMATE_RTT "Mili sâniye olarak yaklaşık gidiş geliş süreleri:\n\
diff --git a/reactos/base/applications/osk/lang/tr-TR.rc b/reactos/base/applications/osk/lang/tr-TR.rc
index 08a1196..5e8337c 100644
--- a/reactos/base/applications/osk/lang/tr-TR.rc
+++ b/reactos/base/applications/osk/lang/tr-TR.rc
@@ -14,18 +14,18 @@ FONT 8, "MS Shell Dlg"
 EXSTYLE WS_EX_TOPMOST | WS_EX_TOOLWINDOW | WS_EX_NOACTIVATE
 BEGIN
     PUSHBUTTON      "Çıkış",SCAN_CODE_110,3,3,23,22
-    PUSHBUTTON      "İ1",SCAN_CODE_112,48,3,23,22
-    PUSHBUTTON      "İ2",SCAN_CODE_113,75,3,23,22
-    PUSHBUTTON      "İ3",SCAN_CODE_114,101,3,23,22
-    PUSHBUTTON      "İ4",SCAN_CODE_115,128,3,23,22
-    PUSHBUTTON      "İ5",SCAN_CODE_116,173,3,23,22
-    PUSHBUTTON      "İ6",SCAN_CODE_117,199,3,23,22
-    PUSHBUTTON      "İ7",SCAN_CODE_118,225,3,23,22
-    PUSHBUTTON      "İ8",SCAN_CODE_119,251,3,23,22
-    PUSHBUTTON      "İ9",SCAN_CODE_120,296,3,23,22
-    PUSHBUTTON      "İ10",SCAN_CODE_121,323,3,23,22
-    PUSHBUTTON      "İ11",SCAN_CODE_122,350,3,23,22
-    PUSHBUTTON      "İ12",SCAN_CODE_123,377,3,23,22
+    PUSHBUTTON      "F1",SCAN_CODE_112,48,3,23,22
+    PUSHBUTTON      "F2",SCAN_CODE_113,75,3,23,22
+    PUSHBUTTON      "F3",SCAN_CODE_114,101,3,23,22
+    PUSHBUTTON      "F4",SCAN_CODE_115,128,3,23,22
+    PUSHBUTTON      "F5",SCAN_CODE_116,173,3,23,22
+    PUSHBUTTON      "F6",SCAN_CODE_117,199,3,23,22
+    PUSHBUTTON      "F7",SCAN_CODE_118,225,3,23,22
+    PUSHBUTTON      "F8",SCAN_CODE_119,251,3,23,22
+    PUSHBUTTON      "F9",SCAN_CODE_120,296,3,23,22
+    PUSHBUTTON      "F10",SCAN_CODE_121,323,3,23,22
+    PUSHBUTTON      "F11",SCAN_CODE_122,350,3,23,22
+    PUSHBUTTON      "F12",SCAN_CODE_123,377,3,23,22
     PUSHBUTTON      "Görüntülüğü Yazdır",SCAN_CODE_124,411,3,23,22
     PUSHBUTTON      "Kaydırma Kilidi",SCAN_CODE_125,438,3,23,22
     PUSHBUTTON      "Duraklat - Kes",SCAN_CODE_126,465,3,23,22
diff --git a/reactos/base/applications/rapps/lang/tr-TR.rc b/reactos/base/applications/rapps/lang/tr-TR.rc
index 29f1f4f..af2d191 100644
--- a/reactos/base/applications/rapps/lang/tr-TR.rc
+++ b/reactos/base/applications/rapps/lang/tr-TR.rc
@@ -20,7 +20,7 @@ BEGIN
         MENUITEM SEPARATOR
         MENUITEM "&Yenile\tF5", ID_REFRESH
         MENUITEM SEPARATOR
-        MENUITEM "Ya&zılım Veri Tabanını Yenile\tDenetim+İ5", ID_RESETDB
+        MENUITEM "Ya&zılım Veri Tabanını Yenile\tDenetim+F5", ID_RESETDB
     END
     POPUP "&Yardım"
     BEGIN
@@ -50,7 +50,7 @@ BEGIN
         MENUITEM SEPARATOR
         MENUITEM "&Yenile\tF5", ID_REFRESH
         MENUITEM SEPARATOR
-        MENUITEM "Ya&zılım Veri Tabanını Yenile\tDenetim+İ5", ID_RESETDB
+        MENUITEM "Ya&zılım Veri Tabanını Yenile\tDenetim+F5", ID_RESETDB
     END
 END
 
diff --git a/reactos/base/applications/rapps_new/lang/tr-TR.rc b/reactos/base/applications/rapps_new/lang/tr-TR.rc
index 29f1f4f..af2d191 100644
--- a/reactos/base/applications/rapps_new/lang/tr-TR.rc
+++ b/reactos/base/applications/rapps_new/lang/tr-TR.rc
@@ -20,7 +20,7 @@ BEGIN
         MENUITEM SEPARATOR
         MENUITEM "&Yenile\tF5", ID_REFRESH
         MENUITEM SEPARATOR
-        MENUITEM "Ya&zılım Veri Tabanını Yenile\tDenetim+İ5", ID_RESETDB
+        MENUITEM "Ya&zılım Veri Tabanını Yenile\tDenetim+F5", ID_RESETDB
     END
     POPUP "&Yardım"
     BEGIN
@@ -50,7 +50,7 @@ BEGIN
         MENUITEM SEPARATOR
         MENUITEM "&Yenile\tF5", ID_REFRESH
         MENUITEM SEPARATOR
-        MENUITEM "Ya&zılım Veri Tabanını Yenile\tDenetim+İ5", ID_RESETDB
+        MENUITEM "Ya&zılım Veri Tabanını Yenile\tDenetim+F5", ID_RESETDB
     END
 END
 
diff --git a/reactos/dll/cpl/inetcpl/lang/tr-TR.rc b/reactos/dll/cpl/inetcpl/lang/tr-TR.rc
index b1aadd8..6976e62 100644
--- a/reactos/dll/cpl/inetcpl/lang/tr-TR.rc
+++ b/reactos/dll/cpl/inetcpl/lang/tr-TR.rc
@@ -27,7 +27,7 @@ LANGUAGE LANG_TURKISH, SUBLANG_NEUTRAL
 STRINGTABLE
 BEGIN
     IDS_CPL_NAME        "Umûmî Ağ Ayarları"
-    IDS_CPL_INFO        "Wine Umûmî Ağ Tarayıcısı'nı ve ilişkili ayarları yapılandırır."
+    IDS_CPL_INFO        "ReactOS Umûmî Ağ Tarayıcısı'nı ve ilişkili ayarları yapılandırır."
     IDS_SEC_SETTINGS    "Bölgeye Göre Güvenlik Ayarları: "
     IDS_SEC_LEVEL0      "Husûsî"
     IDS_SEC_LEVEL1      "Çok Düşük"
diff --git a/reactos/dll/win32/aclui/lang/tr-TR.rc b/reactos/dll/win32/aclui/lang/tr-TR.rc
index 3465ed0..2db7c88 100644
--- a/reactos/dll/win32/aclui/lang/tr-TR.rc
+++ b/reactos/dll/win32/aclui/lang/tr-TR.rc
@@ -1,4 +1,4 @@
-/* Turkish translation by Arda Tanrıkulu <ardatanrikulu@gmail.com> */
+/* TRANSLATORS: 2012 Arda Tanrıkulu (ardatan) (ardatanrikulu@gmail.com), 2016 Erdem Ersoy (eersoy93) (erdemersoy@live.com) */
 
 LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 
@@ -7,9 +7,9 @@ STYLE DS_SHELLFONT | WS_CHILD | WS_VISIBLE | WS_CAPTION
 CAPTION "Güvenlik"
 FONT 8, "MS Shell Dlg", 0, 0, 0x0
 BEGIN
-    LTEXT "&Grup ya da kullanıcı adları:", -1, 7, 21, 105, 8
+    LTEXT "&Takım ya da Kullanıcı Adları:", -1, 7, 21, 105, 8
     CONTROL "", IDC_PRINCIPALS, "SysListView32", LVS_REPORT | LVS_SINGLESEL | LVS_SHOWSELALWAYS | LVS_SORTASCENDING | LVS_NOCOLUMNHEADER | LVS_NOSORTHEADER | WS_CHILD | WS_VISIBLE | WS_VSCROLL | WS_TABSTOP, 7, 31, 213, 52, WS_EX_NOPARENTNOTIFY | WS_EX_CLIENTEDGE
-    LTEXT "İzin Verilen:", -1, 7, 7, 49, 8
+    LTEXT "&İye:", -1, 7, 7, 49, 8
     EDITTEXT IDC_OWNER, 63, 4, 156, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_READONLY
     PUSHBUTTON "&Ekle...", IDC_ADD_PRINCIPAL, 116, 87, 50, 14
     PUSHBUTTON "&Kaldır", IDC_REMOVE_PRINCIPAL, 170, 87, 50, 14
@@ -17,16 +17,16 @@ BEGIN
     LTEXT "İzin Ver", IDC_LABEL_ALLOW, 135, 107, 32, 8, SS_CENTER
     LTEXT "İzin Verme", IDC_LABEL_DENY, 176, 107, 32, 8, SS_CENTER
     CONTROL "", IDC_ACE_CHECKLIST, "CHECKLIST_ACLUI", WS_CHILD | WS_VISIBLE | WS_TABSTOP, 7, 117, 213, 72, WS_EX_CLIENTEDGE
-    LTEXT "Özel izin ya da gelişmiş ayarlar için Gelişmiş'i tıklatın.", IDC_LABEL_ADVANCED, 7, 194, 153, 16, SS_LEFT
-    PUSHBUTTON "Geliş&miş", IDC_ADVANCED, 165, 194, 55, 14
+    LTEXT "Husûsî izinler ya da gelişmiş ayarlar için Gelişmiş'i tıklayınız.", IDC_LABEL_ADVANCED, 7, 194, 153, 16, SS_LEFT
+    PUSHBUTTON "&Gelişmiş", IDC_ADVANCED, 165, 194, 55, 14
 END
 
 STRINGTABLE
 BEGIN
-    IDS_PSP_TITLE "%1 için izinler"
+    IDS_PSP_TITLE "%1 İçin İzinler"
     IDS_UNKNOWN "Bilinmiyor"
-    IDS_SPECIAL_PERMISSIONS "Özel İzinler"
-    IDS_PERMISSIONS_FOR "%1 için izinler"
+    IDS_SPECIAL_PERMISSIONS "Husûsî İzinler"
+    IDS_PERMISSIONS_FOR "%1 İçin İzinler"
     IDS_PERMISSIONS "İzinler"
     IDS_USERDOMAINFORMAT "%1 (%2\\%3)"
     IDS_USERFORMAT "%1"
diff --git a/reactos/dll/win32/browseui/lang/tr-TR.rc b/reactos/dll/win32/browseui/lang/tr-TR.rc
index 68f72d5..56d1893 100644
--- a/reactos/dll/win32/browseui/lang/tr-TR.rc
+++ b/reactos/dll/win32/browseui/lang/tr-TR.rc
@@ -1,3 +1,5 @@
+/* TRANSLATORS: 2012 Arda Tanrıkulu (ardatan) (ardatanrikulu@gmail.com), 2015, 2016 Erdem Ersoy (eersoy93) (erdemersoy@live.com) */
+
 LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 
 /* Menus */
@@ -6,20 +8,20 @@ IDM_CABINET_CONTEXTMENU MENUEX
 BEGIN
     POPUP "", 264,MFT_STRING,MFS_ENABLED
     BEGIN
-        MENUITEM "&Standard Buttons", IDM_TOOLBARS_STANDARDBUTTONS, MFT_STRING, MFS_ENABLED
-        MENUITEM "Sta&ndart Düğmeler", IDM_TOOLBARS_ADDRESSBAR, MFT_STRING, MFS_ENABLED
+        MENUITEM "&Ölçünlü Düğmeler", IDM_TOOLBARS_STANDARDBUTTONS, MFT_STRING, MFS_ENABLED
+        MENUITEM "&Adres Çubuğu", IDM_TOOLBARS_ADDRESSBAR, MFT_STRING, MFS_ENABLED
         MENUITEM "&Bağlantılar", IDM_TOOLBARS_LINKSBAR, MFT_STRING, MFS_ENABLED
         MENUITEM "", -1, MFT_SEPARATOR
-        MENUITEM "Ar&aç Çubuklarını Kilitle", IDM_TOOLBARS_LOCKTOOLBARS, MFT_STRING, MFS_ENABLED
-        MENUITEM "&Özelleştir...", IDM_TOOLBARS_CUSTOMIZE, MFT_STRING, MFS_ENABLED
-        MENUITEM "Me&tin Etiketleri", IDM_TOOLBARS_TEXTLABELS, MFT_STRING, MFS_ENABLED
+        MENUITEM "A&raç Çubuklarını Kilitle", IDM_TOOLBARS_LOCKTOOLBARS, MFT_STRING, MFS_ENABLED
+        MENUITEM "&Husûsîleştir...", IDM_TOOLBARS_CUSTOMIZE, MFT_STRING, MFS_ENABLED
+        MENUITEM "&Metin Etiketleri", IDM_TOOLBARS_TEXTLABELS, MFT_STRING, MFS_ENABLED
         MENUITEM "&Git Düğmesi", IDM_TOOLBARS_GOBUTTON, MFT_STRING, MFS_ENABLED
     END
 END
 
 IDM_CABINET_MAINMENU MENUEX
 BEGIN
-    POPUP "&Dosya", FCIDM_MENU_FILE
+    POPUP "&Kütük", FCIDM_MENU_FILE
     BEGIN
         MENUITEM "", -1, MFT_SEPARATOR
         MENUITEM "&Kapat", IDM_FILE_CLOSE
@@ -34,56 +36,56 @@ BEGIN
         BEGIN
             MENUITEM "", -1, MFT_SEPARATOR
         END
-        MENUITEM "Durum &çubuğu", IDM_VIEW_STATUSBAR
+        MENUITEM "&Durum Çubuğu", IDM_VIEW_STATUSBAR
         POPUP "&Gezgin çubuğu", IDM_VIEW_EXPLORERBAR
         BEGIN
-            MENUITEM "&Arama\tCtrl+E", IDM_EXPLORERBAR_SEARCH
-            MENUITEM "&Sık Kullanılanlar\tCtrl+I", IDM_EXPLORERBAR_FAVORITES
-            MENUITEM "&Çoklu ortam", IDM_EXPLORERBAR_MEDIA
-            MENUITEM "&Geçmiş\tCtrl+H", IDM_EXPLORERBAR_HISTORY
-            MENUITEM "Klasörler", IDM_EXPLORERBAR_FOLDERS
+            MENUITEM "&Ara\tDenetim+E", IDM_EXPLORERBAR_SEARCH
+            MENUITEM "&Yer İmleri\tDenetim+I", IDM_EXPLORERBAR_FAVORITES
+            MENUITEM "&Ortam", IDM_EXPLORERBAR_MEDIA
+            MENUITEM "&Geçmiş\tDenetim+H", IDM_EXPLORERBAR_HISTORY
+            MENUITEM "&Dizinler", IDM_EXPLORERBAR_FOLDERS
             MENUITEM "", IDM_EXPLORERBAR_SEPARATOR
         END
         MENUITEM "", FCIDM_MENU_VIEW_SEP_OPTIONS, MFT_SEPARATOR
         POPUP "G&it", FCIDM_MENU_EXPLORE
         BEGIN
-            MENUITEM "&Geri\tAlt+Sol ok", IDM_GOTO_BACK
-            MENUITEM "&İleri\tAlt+Sağ ok", IDM_GOTO_FORWARD
-            MENUITEM "&Bir Üste", IDM_GOTO_UPONELEVEL
+            MENUITEM "&Geri\tSeçenek+Sol Ok", IDM_GOTO_BACK
+            MENUITEM "&İleri\tSeçenek+Sağ Ok", IDM_GOTO_FORWARD
+            MENUITEM "&Bir Düzey Yukarı", IDM_GOTO_UPONELEVEL
             MENUITEM "", -1, MFT_SEPARATOR
-            MENUITEM "Giriş sayfası\tAlt+Home", IDM_GOTO_HOMEPAGE
+            MENUITEM "Gi&riş Sayfası\tSeçenek+Ev", IDM_GOTO_HOMEPAGE
         END
         MENUITEM "&Yenile", IDM_VIEW_REFRESH
     END
-    POPUP "Sık Kullanılanlar", FCIDM_MENU_FAVORITES
+    POPUP "&Yer İmleri", FCIDM_MENU_FAVORITES
     BEGIN
-        MENUITEM "&Sık Kullanılanlara ekle...", IDM_FAVORITES_ADDTOFAVORITES
-        MENUITEM "Sık Kullanılanları Düzenle...", IDM_FAVORITES_ORGANIZEFAVORITES
+        MENUITEM "&Yer İmlerine Ekle...", IDM_FAVORITES_ADDTOFAVORITES
+        MENUITEM "Y&er İmlerini Düzenle...", IDM_FAVORITES_ORGANIZEFAVORITES
         MENUITEM "", -1, MFT_SEPARATOR
         MENUITEM "(Boş)", IDM_FAVORITES_EMPTY
     END
     POPUP "&Araçlar", FCIDM_MENU_TOOLS
     BEGIN
-        MENUITEM "Ağ Sürücüsüne bağlan...", IDM_TOOLS_MAPNETWORKDRIVE
-        MENUITEM "&Ağ Sürücüsüyle bağlantıyı kes...", IDM_TOOLS_DISCONNECTNETWORKDRIVE
+        MENUITEM "&Ağ Sürücüsü Oluştur...", IDM_TOOLS_MAPNETWORKDRIVE
+        MENUITEM "A&ğ Sürücüsüyle Bağlantıyı Kes...", IDM_TOOLS_DISCONNECTNETWORKDRIVE
         MENUITEM "&Eşitle...", IDM_TOOLS_SYNCHRONIZE
         MENUITEM "", -1, MFT_SEPARATOR
-        MENUITEM "Klasör seçenekleri...", IDM_TOOLS_FOLDEROPTIONS
+        MENUITEM "&Dizin Seçenekleri...", IDM_TOOLS_FOLDEROPTIONS
     END
-    POPUP "&Yardım", FCIDM_MENU_HELP
+    POPUP "Ya&rdım", FCIDM_MENU_HELP
     BEGIN
-        MENUITEM "&ReactOS hakkında", IDM_HELP_ABOUT
+        MENUITEM "&ReactOS Hakkında", IDM_HELP_ABOUT
     END
 END
 
 IDM_TASKBAR_TOOLBARS MENUEX
 BEGIN
-	POPUP "&Toolbars", -1, MFT_STRING, MFS_ENABLED, 0
+	POPUP "&Araç Çubukları", -1, MFT_STRING, MFS_ENABLED, 0
 	BEGIN
-		MENUITEM "&Desktop", IDM_TASKBAR_TOOLBARS_DESKTOP, MFT_STRING, MFS_GRAYED
-		MENUITEM "&Quick Launch", IDM_TASKBAR_TOOLBARS_QUICKLAUNCH, MFT_STRING, MFS_GRAYED
+		MENUITEM "&Masaüstü", IDM_TASKBAR_TOOLBARS_DESKTOP, MFT_STRING, MFS_GRAYED
+		MENUITEM "&Hızlı Başlat", IDM_TASKBAR_TOOLBARS_QUICKLAUNCH, MFT_STRING, MFS_GRAYED
 		MENUITEM "", -1, MFT_SEPARATOR, MFS_ENABLED
-		MENUITEM "&New Toolbar...", IDM_TASKBAR_TOOLBARS_NEW, MFT_STRING, MFS_GRAYED
+		MENUITEM "&Yeni Araç Çubuğu...", IDM_TASKBAR_TOOLBARS_NEW, MFT_STRING, MFS_GRAYED
 	END
 END
 
@@ -99,16 +101,16 @@ FONT 8, "MS Shell Dlg"
     LTEXT "", IDC_TEXT_LINE + 1, 7, 55, 250, 10, SS_LEFT|SS_NOPREFIX
     LTEXT "", IDC_TEXT_LINE + 2, 7, 75, 190, 10, SS_LEFT|SS_NOPREFIX
     CONTROL "", IDC_PROGRESS_BAR, PROGRESS_CLASSA, WS_BORDER, 7, 65, 190, 8
-    PUSHBUTTON "Cancel", IDCANCEL, 205, 65, 50, 15, WS_GROUP | WS_TABSTOP | WS_VISIBLE
+    PUSHBUTTON "İptal", IDCANCEL, 205, 65, 50, 15, WS_GROUP | WS_TABSTOP | WS_VISIBLE
 }
 
 IDD_CUSTOMIZETOOLBAREX DIALOGEX 0, 0, 357, 33
 STYLE DS_SHELLFONT | DS_CONTROL | WS_CHILD | WS_VISIBLE | WS_CAPTION
 FONT 8, "MS Shell Dlg", 0, 0, 0x1
 BEGIN
-    LTEXT "Metin seçenekleri:", -1, 4, 2, 48, 15
+    LTEXT "&Metin Seçenekleri:", -1, 4, 2, 48, 15
     COMBOBOX IDC_TEXTOPTIONS, 52, 0, 123, 57, CBS_DROPDOWNLIST | WS_VSCROLL | WS_TABSTOP
-    LTEXT "Simge seçenekleri:", -1, 4, 20, 48, 15
+    LTEXT "&Simge Seçenekleri:", -1, 4, 20, 48, 15
     COMBOBOX IDC_ICONOPTIONS, 52, 18, 123, 57, CBS_DROPDOWNLIST | WS_VSCROLL | WS_TABSTOP
 END
 
@@ -136,13 +138,13 @@ END
 
 STRINGTABLE
 BEGIN
-    IDS_CANCELLING "Canceling..."
-    IDS_REMAINING  "Remaining"
+    IDS_CANCELLING "İptal ediliyor..."
+    IDS_REMAINING  "Kalan"
 END
 
 STRINGTABLE
 BEGIN
-    800 "Seçili öğelerle çalışma komutlarını içerir."
+    800 "Seçili ögelerle çalışma komutlarını içerir."
 END
 
 STRINGTABLE
@@ -152,17 +154,17 @@ END
 
 STRINGTABLE
 BEGIN
-    928 "Görünümü değiştirmek için komutlar içerir."
+    928 "Görünümle oynama komutlarını içerir."
 END
 
 STRINGTABLE
 BEGIN
-    992 "Araç komutlarını içerir."
+    992 "Araçlar komutlarını içerir."
 END
 
 STRINGTABLE
 BEGIN
-    1056 "Yardım'ı görüntülemek için komutlar içerir."
+    1056 "Yardım'ı görüntüleme komutlarını içerir."
 END
 
 STRINGTABLE
@@ -174,13 +176,13 @@ END
 STRINGTABLE
 BEGIN
     9121 "Bir ağ sürücüsüne bağlanır."
-    9122 "Ağ sürücüsü bağlantısını keser."
+    9122 "Ağ sürücüsünden bağlantıyı keser."
 END
 
 STRINGTABLE
 BEGIN
-    9250 "Program bilgisini, sürüm numarasını ve telif hakkını görüntüler."
-    9252 "Displays information for debugging."
+    9250 "İzlence bilgisini, sürüm numarasını ve telif hakkını görüntüler."
+    9252 "Yanlışlık ayıklama bilgisini görüntüler."
 END
 
 STRINGTABLE
@@ -193,33 +195,33 @@ END
 
 STRINGTABLE
 BEGIN
-    9362 "Sık Kullanılanlar klasörünü açar."
-    9363 "Geçerli sayfayı Sık Kullanılanlar listenize ekler."
+    9362 "Yer İmleri dizinini açar."
+    9363 "Şimdiki sayfayı Yer İmleri dizelgenize ekler."
 END
 
 STRINGTABLE
 BEGIN
-    9505 "Araç çubuklarını gösterir veya gizler."
-    9506 "Durum çubuğunu gösterir veya gizler."
-    9508 "Standart Düğmeler araç çubuğunu görüntüler."
+    9505 "Araç çubuklarını gösterir veyâ gizler."
+    9506 "Durum çubuğunu gösterir veyâ gizler."
+    9508 "Ölçünlü Düğmeler araç çubuğunu görüntüler."
     9509 "Adres çubuğunu görüntüler."
     9510 "Hızlı Bağlantılar çubuğunu görüntüler."
-    9516 "Araç çubuklarının boyut ve konumunu kilitler."
+    9516 "Araç çubuklarının boyutlarını ve konumlarını kilitler."
 END
 
 STRINGTABLE
 BEGIN
-    9533 "Araç çubuğunu düzenler."
+    9533 "Araç çubuğunu husûsîleştirir."
 END
 
 STRINGTABLE
 BEGIN
-    9552 "Gezgin çubuğunu gösterir veya gizler."
+    9552 "Bir gezgin çubuğunu gösterir veyâ gizler."
     9553 "Arama çubuğunu gösterir."
-    9554 "Sık Kullanılanlar çubuğunu gösterir."
+    9554 "Yer İmleri çubuğunu gösterir."
     9555 "Geçmiş çubuğunu gösterir."
-    9557 "Klasörler çubuğunu gösterir."
-    9559 "Ortam Çubğu'nu gösterir."
+    9557 "Dizinler çubuğunu gösterir."
+    9559 "Ortam çubuğunu gösterir."
 END
 
 STRINGTABLE
@@ -231,14 +233,14 @@ END
 
 STRINGTABLE
 BEGIN
-    IDS_NOTEXTLABELS "Metin etiketi yok"
-    IDS_SELECTIVETEXTONRIGHT "Seçici metin sağ tarafta"
+    IDS_NOTEXTLABELS "Metin Etiketi Yok"
+    IDS_SELECTIVETEXTONRIGHT "Seçici Metin Sağda"
 END
 
 STRINGTABLE
 BEGIN
     IDS_GOBUTTONLABEL "|Git||"
-    IDS_GOBUTTONTIPTEMPLATE "Buraya git ""%s"""
+    IDS_GOBUTTONTIPTEMPLATE "Git: ""%s"""
 END
 
 STRINGTABLE
@@ -249,12 +251,12 @@ END
 
 STRINGTABLE
 BEGIN
-    IDS_FOLDERSLABEL "Klasörler"
+    IDS_FOLDERSLABEL "Dizinler"
 END
 
 STRINGTABLE
 BEGIN
-    IDS_HISTORYTEXT "&Geçmiş\tCtrl+H"
+    IDS_HISTORYTEXT "&Geçmiş\tDenetim+H"
 END
 
 STRINGTABLE
@@ -264,11 +266,11 @@ END
 
 STRINGTABLE
 BEGIN
-    IDS_BACK "Back to %s"
-    IDS_FORWARD "Forward to %s"
+    IDS_BACK "Geri (%s Adresine)"
+    IDS_FORWARD "İleri (%s Adresine)"
 END
 
 STRINGTABLE
 BEGIN
-    IDS_STANDARD_TOOLBAR, "|Back|Forward|Up|Search|Folders|Move To|Copy To|Delete|Undo|Views|Stop|Refresh|Home|Map Drive|Disconnect|Favorites|History|Full Screen|Properties|Cut|Copy|Paste|Folder Options||"
+    IDS_STANDARD_TOOLBAR, "|Geri|İleri|Yukarı|Ara|Dizinler|Taşı|Çoğalt|Sil|Geri Al|Görünümler|Dur|Yenile|Giriş|Sürücü Oluştur|Bağlantıyı Kes|Yer İmleri|Geçmiş|Tüm Görüntülük|Husûsiyetler|Kes|Çoğalt|Yapıştır|Dizin Seçenekleri||"
 END
diff --git a/reactos/dll/win32/msgina/lang/tr-TR.rc b/reactos/dll/win32/msgina/lang/tr-TR.rc
index 54baf64..e7ce204 100644
--- a/reactos/dll/win32/msgina/lang/tr-TR.rc
+++ b/reactos/dll/win32/msgina/lang/tr-TR.rc
@@ -145,10 +145,10 @@ END
 
 IDD_SHUTDOWN_FANCY DIALOGEX 0, 0, 275, 146
 STYLE NOT WS_VISIBLE | DS_CENTER | DS_MODALFRAME | DS_SHELLFONT | WS_BORDER | WS_CAPTION | WS_DLGFRAME | WS_POPUP
-CAPTION "Luna-XP-style Shut Down dialog"
+CAPTION "Luna XP Biçiminde Bilgisayarı Kapat İletişim Kutusu"
 FONT 8, "MS Shell Dlg"
 BEGIN
-    DEFPUSHBUTTON "OK", IDOK, 80, 122, 55, 14, WS_GROUP
+    DEFPUSHBUTTON "Tamam", IDOK, 80, 122, 55, 14, WS_GROUP
 END
 
 STRINGTABLE
diff --git a/reactos/dll/win32/setupapi/lang/tr-TR.rc b/reactos/dll/win32/setupapi/lang/tr-TR.rc
index e865407..0641d3d 100644
--- a/reactos/dll/win32/setupapi/lang/tr-TR.rc
+++ b/reactos/dll/win32/setupapi/lang/tr-TR.rc
@@ -1,43 +1,45 @@
+/* TRANSLATORS: 2006 Fatih Aşıcı, 2012 Arda Tanrıkulu (ardatan) (ardatanrikulu@gmail.com), 2016 Erdem Ersoy (eersoy93) (erdemersoy@live.com) */
+
 LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 
 COPYFILEDLGORD DIALOGEX 20, 20, 208, 105
 STYLE DS_MODALFRAME | DS_SHELLFONT | WS_POPUP | WS_VISIBLE | WS_CAPTION
-CAPTION "Dosyalar Kopyalanıyor..."
+CAPTION "Kütükler Çoğaltılıyor..."
 FONT 8, "MS Shell Dlg"
 BEGIN
     PUSHBUTTON "İptal", IDCANCEL, 79, 84, 50, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
     LTEXT "Kaynak:", -1, 7, 7, 77, 11, WS_CHILD | WS_VISIBLE | WS_GROUP
     LTEXT "", SOURCESTRORD, 7, 18, 194, 11, WS_CHILD | WS_VISIBLE | WS_GROUP
-    LTEXT "Hedef:", -1, 7, 30, 77, 11, WS_CHILD | WS_VISIBLE | WS_GROUP
+    LTEXT "Varış:", -1, 7, 30, 77, 11, WS_CHILD | WS_VISIBLE | WS_GROUP
     LTEXT "", DESTSTRORD, 7, 41, 194, 22, WS_CHILD | WS_VISIBLE | WS_GROUP
     CONTROL "", PROGRESSORD, "setupx_progress", 7, 63, 194, 13, WS_CHILD | WS_VISIBLE | WS_TABSTOP
 END
 
 IDPROMPTFORDISK DIALOG 0, 0, 260, 120
 STYLE DS_MODALFRAME | WS_CAPTION | WS_SYSMENU
-CAPTION "Files Needed"
+CAPTION "Gerekli Kütükler"
 FONT 8, "MS Shell Dlg"
 BEGIN
-    LTEXT "Insert the manufacturer's installation disk, and then\nmake sure the correct drive is selected below", IDC_FILENEEDED, 10, 10, 175, 38, WS_CHILD | WS_VISIBLE | WS_GROUP
+    LTEXT "Üreticinin kurulum diskini takınız, sonra aşağıda\ndoğru sürücünün seçildiğinden emin olunuz.", IDC_FILENEEDED, 10, 10, 175, 38, WS_CHILD | WS_VISIBLE | WS_GROUP
     LTEXT "", IDC_INFO, 10, 50, 175, 38, WS_CHILD | WS_VISIBLE | WS_GROUP
-    LTEXT "Copy manufacturer's files from:", IDC_COPYFROM, 10, 90, 175, 11, WS_CHILD | WS_VISIBLE | WS_GROUP
+    LTEXT "Üreticinin kütüklerini şuradan çoğalt:", IDC_COPYFROM, 10, 90, 175, 11, WS_CHILD | WS_VISIBLE | WS_GROUP
     CONTROL "", IDC_PATH, "COMBOBOX", WS_TABSTOP | WS_GROUP | WS_VSCROLL | WS_VISIBLE | CBS_DISABLENOSCROLL | CBS_AUTOHSCROLL | CBS_DROPDOWN, 10, 100, 175, 14
-    DEFPUSHBUTTON "OK", IDOK, 195, 10, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
-    PUSHBUTTON "Cancel", IDCANCEL, 195, 30, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
-    PUSHBUTTON "Browse...", IDC_RUNDLG_BROWSE, 195, 100, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
+    DEFPUSHBUTTON "Tamam", IDOK, 195, 10, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
+    PUSHBUTTON "İptal", IDCANCEL, 195, 30, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
+    PUSHBUTTON "Göz At...", IDC_RUNDLG_BROWSE, 195, 100, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
 END
 
 STRINGTABLE
 BEGIN
-    IDS_PROMPTDISK   "The file '%1' on %2 is needed"
-    IDS_UNKNOWN      "Unknown"
-    IDS_COPYFROM     "Copy files from:"
-    IDS_INFO         "Type the path where the file is located, and then click OK."
+    IDS_PROMPTDISK   "%2 üzerinde ""%1"" kütüğü gerekli."
+    IDS_UNKNOWN      "Bilinmeyen"
+    IDS_COPYFROM     "Kütükleri şuradan çoğalt:"
+    IDS_INFO         "Kütüğün bulunduğu yolu yazınız, sonra Tamam'a tıklayınız."
 END
 
 STRINGTABLE
 BEGIN
-    IDS_QUERY_REBOOT_TEXT "Bilgisayarınız kurulumunuz bitirilmesi için yeniden başlatılacak. Onaylıyor musunuz?"
+    IDS_QUERY_REBOOT_TEXT "Bilgisayarınız, kurulumu bitirmek için yeniden başlatılmaya gerek duyuyor. Sürdürmek istiyor musunuz?"
     IDS_QUERY_REBOOT_CAPTION "Yeniden Başlat"
     IDS_INF_FILE "Kurulum Bilgisi"
 END
diff --git a/reactos/dll/win32/shdoclc/lang/Tr.rc b/reactos/dll/win32/shdoclc/lang/Tr.rc
index 6fed95c..1d69f71 100644
--- a/reactos/dll/win32/shdoclc/lang/Tr.rc
+++ b/reactos/dll/win32/shdoclc/lang/Tr.rc
@@ -1,5 +1,5 @@
 /*
- * Copyright 2006 Fatih Aşıcı - 2012 Arda Tanrıkulu <ardatanrikulu@gmail.com>
+ * Copyright 2006 Fatih Aşıcı - 2012 Arda Tanrıkulu <ardatanrikulu@gmail.com>, 2016 Erdem Ersoy (eersoy93) (erdemersoy@live.com)
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -20,12 +20,12 @@ LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 
 STRINGTABLE
 {
-    IDS_MESSAGE_BOX_TITLE, "Wine Internet Explorer"
+    IDS_MESSAGE_BOX_TITLE, "ReactOS Internet Explorer"
 }
 
 STRINGTABLE
 {
-    IDS_PRINT_HEADER_TEMPLATE "&w&bPage &p" /* FIXME: should be "&w&bPage &p of &P" */
+    IDS_PRINT_HEADER_TEMPLATE "&w&bSayfa &p" /* FIXME: should be "&w&bSayfa &p of &P" */
     IDS_PRINT_FOOTER_TEMPLATE "&u&b&d"
 }
 
@@ -33,61 +33,61 @@ IDR_BROWSE_CONTEXT_MENU MENU
 {
     POPUP "" /* Default */
     {
-        MENUITEM "&Geri",                  IDM_GOBACKWARD
-        MENUITEM "İ&leri",                 IDM_GOFORWARD
+        MENUITEM "&Geri",                         IDM_GOBACKWARD
+        MENUITEM "İ&leri",                        IDM_GOFORWARD
         MENUITEM SEPARATOR
-        MENUITEM "&Arkaplanı Farklı Kaydet...", IDM_SAVEBACKGROUND
-        MENUITEM "Arka&plan Yap",     IDM_SETWALLPAPER
-        MENUITEM "Arkaplanı Ko&pyala",     IDM_COPYBACKGROUND
-        MENUITEM "&Masaüstü Öğesi Yap",   IDM_SETDESKTOPITEM
+        MENUITEM "&Arka Planı Ayrı Sakla...",     IDM_SAVEBACKGROUND
+        MENUITEM "A&rka Plan Olarak Ayarla",      IDM_SETWALLPAPER
+        MENUITEM "Ar&ka Planı Çoğalt",            IDM_COPYBACKGROUND
+        MENUITEM "&Masaüstü Ögesi Olarak Ayarla", IDM_SETDESKTOPITEM
         MENUITEM SEPARATOR
-        MENUITEM "&Tümünü Seç",            IDM_SELECTALL
-        MENUITEM "&Yapıştır",              IDM_PASTE
+        MENUITEM "&Tümünü Seç",                   IDM_SELECTALL
+        MENUITEM "&Yapıştır",                     IDM_PASTE
         MENUITEM SEPARATOR
-        MENUITEM "K&ısayol Oluştur",       IDM_CREATESHORTCUT
-        MENUITEM "Sık Kullanılanlara Ekle",IDM_ADDFAVORITES
-        MENUITEM "&Kaynağı Göster",        IDM_VIEWSOURCE
+        MENUITEM "K&ısayol Oluştur",              IDM_CREATESHORTCUT
+        MENUITEM "Y&er İmleri'ne Ekle",           IDM_ADDFAVORITES
+        MENUITEM "Kay&nağı Göster",               IDM_VIEWSOURCE
         MENUITEM SEPARATOR
-        MENUITEM "&Kodlama",               IDM_LANGUAGE
+        MENUITEM "K&odlama",                      IDM_LANGUAGE
         MENUITEM SEPARATOR
-        MENUITEM "Ya&zdır",                IDM_PRINT
-        MENUITEM "&Yenile",                _IDM_REFRESH
+        MENUITEM "Ya&zdır",                       IDM_PRINT
+        MENUITEM "Yen&ile",                       _IDM_REFRESH
         MENUITEM SEPARATOR
-        MENUITEM "&Özellikler",            IDM_PROPERTIES
+        MENUITEM "&Husûsîyetler",                 IDM_PROPERTIES
     }
 
     POPUP "" /* Image */
     {
-        MENUITEM "&Bağlantıyı Aç",           IDM_FOLLOWLINKC
-        MENUITEM "&Yeni Pencerede Aç", IDM_FOLLOWLINKN
-        MENUITEM "Hedefi &Farklı Kaydet...", IDM_SAVETARGET
-        MENUITEM "Hedefi Y&azdır",           IDM_PRINTTARGET
-        MENUITEM SEPARATOR
-        MENUITEM "Resmi &Göster",            IDM_SHOWPICTURE
-        MENUITEM "&Resmi Farklı Kaydet...",  IDM_SAVEPICTURE
-        MENUITEM "Resmi &E-postala...",      IDM_MP_EMAILPICTURE
-        MENUITEM "Resmi Ya&zdır...",         IDM_MP_PRINTPICTURE
-        MENUITEM "Resimlerim dizinine &Git", IDM_MP_MYPICS
-        MENUITEM "Arka&plan Yap",       IDM_SETWALLPAPER
-        MENUITEM "Masaüstü Ö&ğesi Yap...",   IDM_SETDESKTOPITEM
-        MENUITEM SEPARATOR
-        MENUITEM "K&es",                     IDM_CUT
-        MENUITEM "K&opyala",                 IDM_COPY
-        MENUITEM "&Kısayol Kopyala",         IDM_COPYSHORTCUT
-        MENUITEM "Ya&pıştır",                IDM_PASTE
-        MENUITEM SEPARATOR
-        MENUITEM "Sık Ku&llanılanlara Ekle...",     IDM_ADDFAVORITES
-        MENUITEM SEPARATOR
-        MENUITEM "Ö&zellikler",              IDM_PROPERTIES
+        MENUITEM "&Bağlantıyı Aç",                   IDM_FOLLOWLINKC
+        MENUITEM "B&ağlantıyı Yeni Pencerede Aç",    IDM_FOLLOWLINKN
+        MENUITEM "&Hedefi Ayrı Sakla...",            IDM_SAVETARGET
+        MENUITEM "He&defi Yazdır",                   IDM_PRINTTARGET
+        MENUITEM SEPARATOR
+        MENUITEM "&Resmi Göster",                    IDM_SHOWPICTURE
+        MENUITEM "R&esmi Ayrı Sakla...",             IDM_SAVEPICTURE
+        MENUITEM "Resmi &Mektupla...",               IDM_MP_EMAILPICTURE
+        MENUITEM "Re&smi Yazdır...",                 IDM_MP_PRINTPICTURE
+        MENUITEM "Res&imlerim'e &Git",               IDM_MP_MYPICS
+        MENUITEM "Arka Plan &Olarak Ayarla",         IDM_SETWALLPAPER
+        MENUITEM "&Masaüstü Öğesi Olarak Ayarla...", IDM_SETDESKTOPITEM
+        MENUITEM SEPARATOR
+        MENUITEM "&Kes",                             IDM_CUT
+        MENUITEM "&Çoğalt",                          IDM_COPY
+        MENUITEM "K&ısayol Çoğalt",                  IDM_COPYSHORTCUT
+        MENUITEM "&Yapıştır",                        IDM_PASTE
+        MENUITEM SEPARATOR
+        MENUITEM "Yer İm&leri'ne Ekle...",           IDM_ADDFAVORITES
+        MENUITEM SEPARATOR
+        MENUITEM "H&usûsîyetler",                    IDM_PROPERTIES
     }
 
     POPUP "" /* Control */
     {
         MENUITEM "&Geri Al",    IDM_UNDO
         MENUITEM SEPARATOR
-        MENUITEM "K&es",        IDM_CUT
-        MENUITEM "&Kopyala",    IDM_COPY
-        MENUITEM "Ya&pıştır",   IDM_PASTE
+        MENUITEM "&Kes",        IDM_CUT
+        MENUITEM "&Çoğalt",     IDM_COPY
+        MENUITEM "&Yapıştır",   IDM_PASTE
         MENUITEM "&Sil",        IDM_DELETE
         MENUITEM SEPARATOR
         MENUITEM "&Tümünü Seç", IDM_SELECTALL
@@ -97,23 +97,23 @@ IDR_BROWSE_CONTEXT_MENU MENU
     {
         POPUP "&Seç"
         {
-            MENUITEM "&Hücre",        IDM_CELLSELECT
-            MENUITEM "&Satır",        IDM_ROWSELECT
-            MENUITEM "&Sütun",        IDM_COLUMNSELECT
-            MENUITEM "&Tablo",        IDM_TABLESELECT
+            MENUITEM "&Göze",              IDM_CELLSELECT
+            MENUITEM "&Yataç",             IDM_ROWSELECT
+            MENUITEM "&Dikeç",             IDM_COLUMNSELECT
+            MENUITEM "D&izelge",           IDM_TABLESELECT
         }
         MENUITEM SEPARATOR
-        MENUITEM "&Hücre Özellikleri", IDM_CELLPROPERTIES
-        MENUITEM "&Tablo Özellikleri", IDM_TABLEPROPERTIES
+        MENUITEM "&Göze Husûsiyetleri",    IDM_CELLPROPERTIES
+        MENUITEM "&Dizelge Husûsiyetleri", IDM_TABLEPROPERTIES
     }
 
     POPUP "" /* 1DSite Select */
     {
         MENUITEM "&Kes",        IDM_CUT
-        MENUITEM "K&opyala",    IDM_COPY
-        MENUITEM "Ya&pıştır",   IDM_PASTE
+        MENUITEM "&Çoğalt",     IDM_COPY
+        MENUITEM "&Yapıştır",   IDM_PASTE
         MENUITEM "&Tümünü Seç", IDM_SELECTALL
-        MENUITEM "&Yazdır",     IDM_PRINT
+        MENUITEM "Y&azdır",     IDM_PRINT
         MENUITEM SEPARATOR
     }
 
@@ -121,17 +121,17 @@ IDR_BROWSE_CONTEXT_MENU MENU
     {
         MENUITEM "&Aç",                         IDM_FOLLOWLINKC
         MENUITEM "&Yeni Pencerede Aç",          IDM_FOLLOWLINKN
-        MENUITEM "Hedefi &Farklı Kaydet...",    IDM_SAVETARGET
-        MENUITEM "Hedefi Ya&zdır",              IDM_PRINTTARGET
+        MENUITEM "&Hedefi Ayrı Sakla...",       IDM_SAVETARGET
+        MENUITEM "H&edefi Yazdır",              IDM_PRINTTARGET
         MENUITEM SEPARATOR
         MENUITEM "&Kes",                        IDM_CUT
-        MENUITEM "K&opyala",                    IDM_COPY
-        MENUITEM "K&ısayol Kopyala",            IDM_COPYSHORTCUT
+        MENUITEM "&Çoğalt",                     IDM_COPY
+        MENUITEM "K&ısayol Çoğalt",             IDM_COPYSHORTCUT
         MENUITEM "Ya&pıştır",                   IDM_PASTE
         MENUITEM SEPARATOR
-        MENUITEM "Sık Ku&llanılanlara Ekle...", IDM_ADDFAVORITES
+        MENUITEM "Ye&r İmleri'ne Ekle...",      IDM_ADDFAVORITES
         MENUITEM SEPARATOR
-        MENUITEM "&Özellikler",                 IDM_PROPERTIES
+        MENUITEM "H&usûsîyetler",               IDM_PROPERTIES
     }
 
     POPUP "" /* Context Unknown */
@@ -141,72 +141,72 @@ IDR_BROWSE_CONTEXT_MENU MENU
 
     POPUP "" /* DYNSRC Image */
     {
-        MENUITEM "&Bağlantıyı Aç",              IDM_FOLLOWLINKC
-        MENUITEM "&Yeni Pencerede Aç",          IDM_FOLLOWLINKN
-        MENUITEM "Hedefi &Farklı Kaydet...",    IDM_SAVETARGET
-        MENUITEM "Hedefi Ya&zdır",              IDM_PRINTTARGET
-        MENUITEM SEPARATOR
-        MENUITEM "Resmi &Göster",               IDM_SHOWPICTURE
-        MENUITEM "&Vidyoyu Farklı Kaydet...",   IDM_SAVEPICTURE
-        MENUITEM "Arka&plan Yap",               IDM_SETWALLPAPER
-        MENUITEM "&Masaüstü Öğesi Yap...",      IDM_SETDESKTOPITEM
-        MENUITEM SEPARATOR
-        MENUITEM "&Kes",                        IDM_CUT
-        MENUITEM "K&opyala",                    IDM_COPY
-        MENUITEM "K&ısayol Kopyala",            IDM_COPYSHORTCUT
-        MENUITEM "&Yapıştır",                   IDM_PASTE
-        MENUITEM SEPARATOR
-        MENUITEM "Sık Ku&llanılanlara Ekle...", IDM_ADDFAVORITES
-        MENUITEM SEPARATOR
-        MENUITEM "Yürüt",                       IDM_DYNSRCPLAY
-        MENUITEM "Durdur",                      IDM_DYNSRCSTOP
-        MENUITEM "&Özellikler",                 IDM_PROPERTIES
+        MENUITEM "&Bağlantıyı Aç",                   IDM_FOLLOWLINKC
+        MENUITEM "B&ağlantıyı Yeni Pencerede Aç",    IDM_FOLLOWLINKN
+        MENUITEM "&Hedefi Ayrı Sakla...",            IDM_SAVETARGET
+        MENUITEM "He&defi Yazdır",                   IDM_PRINTTARGET
+        MENUITEM SEPARATOR
+        MENUITEM "&Resmi Göster",                    IDM_SHOWPICTURE
+        MENUITEM "&Vidyoyu Ayrı Sakla...",           IDM_SAVEPICTURE
+        MENUITEM "Arka &Plan Olarak Ayarla",         IDM_SETWALLPAPER
+        MENUITEM "&Masaüstü Öğesi Olarak Ayarla...", IDM_SETDESKTOPITEM
+        MENUITEM SEPARATOR
+        MENUITEM "&Kes",                             IDM_CUT
+        MENUITEM "&Çoğalt",                          IDM_COPY
+        MENUITEM "K&ısayol Çoğalt",                  IDM_COPYSHORTCUT
+        MENUITEM "&Yapıştır",                        IDM_PASTE
+        MENUITEM SEPARATOR
+        MENUITEM "Y&er İmleri'ne Ekle...",           IDM_ADDFAVORITES
+        MENUITEM SEPARATOR
+        MENUITEM "Y&ürüt",                           IDM_DYNSRCPLAY
+        MENUITEM "D&urdur",                          IDM_DYNSRCSTOP
+        MENUITEM "Hu&sûsîyetler",                    IDM_PROPERTIES
     }
 
     POPUP "" /* ART Image */
     {
-        MENUITEM "&Bağlantıyı Aç",              IDM_FOLLOWLINKC
-        MENUITEM "&Yeni Pencerede Aç",          IDM_FOLLOWLINKN
-        MENUITEM "Hedefi &Farklı Kaydet...",    IDM_SAVETARGET
-        MENUITEM "Hedefi Ya&zdır",              IDM_PRINTTARGET
+        MENUITEM "&Bağlantıyı Aç",                   IDM_FOLLOWLINKC
+        MENUITEM "B&ağlantıyı Yeni Pencerede Aç",    IDM_FOLLOWLINKN
+        MENUITEM "He&defi Ayrı Sakla...",            IDM_SAVETARGET
+        MENUITEM "Hede&fi Yazdır",                   IDM_PRINTTARGET
         MENUITEM SEPARATOR
-        MENUITEM "Resmi &Göster",               IDM_SHOWPICTURE
-        MENUITEM "Resmi &Farklı Kaydet...",     IDM_SAVEPICTURE
-        MENUITEM "Arka&plan Yap",               IDM_SETWALLPAPER
-        MENUITEM "&Masaüstü Öğesi Yap...",      IDM_SETDESKTOPITEM
+        MENUITEM "&Resmi Göster",                    IDM_SHOWPICTURE
+        MENUITEM "Re&smi Ayrı Sakla...",             IDM_SAVEPICTURE
+        MENUITEM "Arka &Plan Olarak Ayarla",         IDM_SETWALLPAPER
+        MENUITEM "&Masaüstü Öğesi Olarak Ayarla...", IDM_SETDESKTOPITEM
         MENUITEM SEPARATOR
-        MENUITEM "&Kes",                        IDM_CUT
-        MENUITEM "K&opyala",                    IDM_COPY
-        MENUITEM "K&ısayol Kopyala",            IDM_COPYSHORTCUT
-        MENUITEM "&Yapıştır",                   IDM_PASTE
+        MENUITEM "&Kes",                             IDM_CUT
+        MENUITEM "&Çoğalt",                          IDM_COPY
+        MENUITEM "K&ısayol Çoğalt",                  IDM_COPYSHORTCUT
+        MENUITEM "&Yapıştır",                        IDM_PASTE
         MENUITEM SEPARATOR
-        MENUITEM "Sık Ku&llanılanlara Ekle...", IDM_ADDFAVORITES
+        MENUITEM "Y&er İmleri'ne Ekle...",           IDM_ADDFAVORITES
         MENUITEM SEPARATOR
-        MENUITEM "Yürüt",                       IDM_IMGARTPLAY
-        MENUITEM "Durdur",                      IDM_IMGARTSTOP
-        MENUITEM "Geri Çevir",                  IDM_IMGARTREWIND
+        MENUITEM "Y&ürüt",                           IDM_IMGARTPLAY
+        MENUITEM "D&urdur",                          IDM_IMGARTSTOP
+        MENUITEM "&Geri Sar",                        IDM_IMGARTREWIND
         MENUITEM SEPARATOR
-        MENUITEM "&Özellikler",                 IDM_PROPERTIES
+        MENUITEM "&Husûsîyetler",                    IDM_PROPERTIES
     }
 
     POPUP "" /* Debug */
-    { /*FIXME: translate these*/
-        MENUITEM "Trace Tags",              IDM_TRACETAGS
-        MENUITEM "Kaynak Başarısızlıkları", IDM_RESOURCEFAILURES
-        MENUITEM "Dump Tracking Info",      IDM_DUMPTRACKINGINFO
-        MENUITEM "Debug Break",             IDM_DEBUGBREAK
-        MENUITEM "Debug View",              IDM_DEBUGVIEW
-        MENUITEM "Dump Tree",               IDM_DUMPTREE
-        MENUITEM "Dump Lines",              IDM_DUMPLINES
-        MENUITEM "Dump DisplayTree",        IDM_DUMPDISPLAYTREE
-        MENUITEM "Dump FormatCaches",       IDM_DUMPFORMATCACHES
-        MENUITEM "Dump LayoutRects",        IDM_DUMPLAYOUTRECTS
-        MENUITEM "Bellek Monitörü",         IDM_MEMORYMONITOR
-        MENUITEM "Performans Ölçerler",     IDM_PERFORMANCEMETERS
-        MENUITEM "HTML'yi Kaydet",          IDM_SAVEHTML
-        MENUITEM SEPARATOR
-        MENUITEM "&Gözatma Görünümü",       IDM_BROWSEMODE
-        MENUITEM "Görünümü Düz&enle",       IDM_EDITMODE
+    {
+        MENUITEM "İzleme Etiketleri",           IDM_TRACETAGS
+        MENUITEM "Kaynak Başarısızlıkları",     IDM_RESOURCEFAILURES
+        MENUITEM "İzleme Bilgisi Dökümünü Al",  IDM_DUMPTRACKINGINFO
+        MENUITEM "Yanlışlık Ayıklama Sonu",     IDM_DEBUGBREAK
+        MENUITEM "Yanlışlık Ayıklama Görünümü", IDM_DEBUGVIEW
+        MENUITEM "Ağaç Dökümünü Al",            IDM_DUMPTREE
+        MENUITEM "Yataç Dökümünü Al",           IDM_DUMPLINES
+        MENUITEM "DisplayTree Dökümünü Al",     IDM_DUMPDISPLAYTREE
+        MENUITEM "FormatCaches Dökümünü Al",    IDM_DUMPFORMATCACHES
+        MENUITEM "LayoutRects Dökümünü Al",     IDM_DUMPLAYOUTRECTS
+        MENUITEM "Bellek Göstergeci",           IDM_MEMORYMONITOR
+        MENUITEM "Başarım Ölçücüleri",          IDM_PERFORMANCEMETERS
+        MENUITEM "HTML'yi Sakla",               IDM_SAVEHTML
+        MENUITEM SEPARATOR
+        MENUITEM "&Göz Atma Görünümü",          IDM_BROWSEMODE
+        MENUITEM "G&örünümü Düzenle",           IDM_EDITMODE
     }
 
     POPUP "" /* Vertical Scrollbar */
@@ -227,8 +227,8 @@ IDR_BROWSE_CONTEXT_MENU MENU
     {
         MENUITEM "Buraya Kaydır", IDM_SCROLL_HERE
         MENUITEM SEPARATOR
-        MENUITEM "Sol Kenar",     IDM_SCROLL_LEFTEDGE
-        MENUITEM "Sağ Kenar",     IDM_SCROLL_RIGHTEDGE
+        MENUITEM "Sol Kıyı",     IDM_SCROLL_LEFTEDGE
+        MENUITEM "Sağ Kıyı",     IDM_SCROLL_RIGHTEDGE
         MENUITEM SEPARATOR
         MENUITEM "Soldaki Sayfa", IDM_SCROLL_PAGELEFT
         MENUITEM "Sağdaki Sayfa", IDM_SCROLL_PAGERIGHT
diff --git a/reactos/dll/win32/shimgvw/lang/tr-TR.rc b/reactos/dll/win32/shimgvw/lang/tr-TR.rc
index 3370b86..6b777cf 100644
--- a/reactos/dll/win32/shimgvw/lang/tr-TR.rc
+++ b/reactos/dll/win32/shimgvw/lang/tr-TR.rc
@@ -12,10 +12,10 @@ BEGIN
     IDS_TOOLTIP_PREV_PIC "Önceki Resim"
     IDS_TOOLTIP_ZOOM_IN "Yakınlaştır (+)"
     IDS_TOOLTIP_ZOOM_OUT "Uzaklaştır (-)"
-    IDS_TOOLTIP_ROT_CLOCKW "Saat Yönünde Döndür (Ctrl+K)"
-    IDS_TOOLTIP_ROT_COUNCW "Saat Yönünün Tersi Yönünde Döndür (Ctrl+L)"
-    IDS_TOOLTIP_PRINT "Yazdır (Ctrl+P)"
-    IDS_TOOLTIP_SAVEAS "Ayrı Sakla... (Ctrl+S)"
+    IDS_TOOLTIP_ROT_CLOCKW "Saat Yönünde Döndür (Denetim+K)"
+    IDS_TOOLTIP_ROT_COUNCW "Saat Yönünün Tersi Yönünde Döndür (Denetim+L)"
+    IDS_TOOLTIP_PRINT "Yazdır (Denetim+P)"
+    IDS_TOOLTIP_SAVEAS "Ayrı Sakla... (Denetim+S)"
 END
 
 STRINGTABLE
diff --git a/reactos/dll/win32/syssetup/lang/tr-TR.rc b/reactos/dll/win32/syssetup/lang/tr-TR.rc
index bec1f76..4fd5f20 100644
--- a/reactos/dll/win32/syssetup/lang/tr-TR.rc
+++ b/reactos/dll/win32/syssetup/lang/tr-TR.rc
@@ -1,3 +1,5 @@
+/* TRANSLATORS: 2012 Arda Tanrıkulu (ardatan) (ardatanrikulu@gmail.com), 2016 Erdem Ersoy (eersoy93) (erdemersoy@live.com) */
+
 LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 
 IDD_WELCOMEPAGE DIALOGEX 0, 0, 317, 193
@@ -5,9 +7,9 @@ STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYS
 CAPTION "ReactOS Kur"
 FONT 8, "MS Shell Dlg"
 BEGIN
-    LTEXT "ReactOS Kurulum Sihirbazı'na Hoşgeldiniz.", IDC_WELCOMETITLE, 115, 8, 195, 24
-    LTEXT "Bu sihirbaz bilgisayarınıza ReactOS kurar. Sihirbaz'ın düzgün kurulum için bilgisayarınız üzerine bilgi toplaması gerekmekte.", IDC_STATIC, 115, 40, 195, 100
-    LTEXT "Kur'a devam etmek için İleri'ye basın.", IDC_STATIC, 115, 169, 195, 17
+    LTEXT "ReactOS Kurulum Yardımcısı'na Hoşgeldiniz.", IDC_WELCOMETITLE, 115, 8, 195, 24
+    LTEXT "Bu yardımcı ReactOS'u bilgisayarınıza kurar. Yardımcı, ReactOS'u düzgünce kurmak için siz ve bilgisayarınız üzerine biraz bilgi toplamaya gerek duyuyor.", IDC_STATIC, 115, 40, 195, 100
+    LTEXT "Kur'la sürdürmek için İleri'ye tıklayınız.", IDC_STATIC, 115, 169, 195, 17
 END
 
 IDD_ACKPAGE DIALOGEX 0, 0, 317, 143
@@ -15,11 +17,11 @@ STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYS
 CAPTION "ReactOS Kur"
 FONT 8, "MS Shell Dlg", 0, 0, 0x0
 BEGIN
-    LTEXT "ReactOS geliştiricileri, ReactOS'u yaratmakta kullandıkları aşağıdaki açık kaynak kodlu projelere teşekkür etmektedirler:", IDC_STATIC, 15, 7, 286, 19
+    LTEXT "ReactOS geliştiricileri, (parçaları) ReactOS'u oluşturmak için kullanılmış aşağıdaki açık kaynak tasarılara teşekkür etmek istiyorlar:", IDC_STATIC, 15, 7, 286, 19
     LISTBOX IDC_PROJECTS, 15, 30, 286, 75, LBS_NOSEL | LBS_HASSTRINGS | LBS_NOINTEGRALHEIGHT | WS_VSCROLL
-    LTEXT "ReactOS, GPL ile lisanslanmıştır; kullanmak için kabul etmeniz gerekmektedir.", IDC_STATIC, 15, 110, 227, 19
-    PUSHBUTTON "&GPL'i Görüntüle...", IDC_VIEWGPL, 251, 110, 50, 19
-    LTEXT "Kur'a devam etmek için İleri'ye basın.", IDC_STATIC, 15, 136, 195, 17
+    LTEXT "ReactOS, GPL altında ruhsatlanmıştır, bu yüzden onu (onun parçalarını) yeniden kullanmak veyâ yeniden dağıtmak isterseniz GPL'ye uymalısınız.", IDC_STATIC, 15, 110, 227, 19
+    PUSHBUTTON "&GPL'yi Görüntüle...", IDC_VIEWGPL, 251, 110, 50, 19
+    LTEXT "Kur'la sürdürmek için İleri'ye tıklayınız.", IDC_STATIC, 15, 136, 195, 17
 END
 
 IDD_OWNERPAGE DIALOGEX 0, 0, 317, 143
@@ -28,8 +30,8 @@ CAPTION "ReactOS Kur"
 FONT 8, "MS Shell Dlg"
 BEGIN
     ICON IDI_ICON2, IDC_STATIC, 21, 7, 20, 20
-    LTEXT "İsminizi ve kuruluş ya da şirketinizin ismini yazın.", IDC_STATIC, 54, 7, 242, 21
-    LTEXT "İ&sim:", IDC_STATIC, 54, 37, 44, 8
+    LTEXT "Tüm adınızı ve ortaklık ya da kuruluşunuzun adını yazınız.", IDC_STATIC, 54, 7, 242, 21
+    LTEXT "&Ad:", IDC_STATIC, 54, 37, 44, 8
     EDITTEXT IDC_OWNERNAME, 132, 35, 163, 14, WS_VISIBLE | WS_TABSTOP | ES_AUTOHSCROLL
     LTEXT "&Kuruluş:", IDC_STATIC, 54, 57, 44, 8
     EDITTEXT IDC_OWNERORGANIZATION, 132, 55, 163, 14, WS_VISIBLE | WS_TABSTOP | ES_AUTOHSCROLL
@@ -41,15 +43,15 @@ CAPTION "ReactOS Kur"
 FONT 8, "MS Shell Dlg"
 BEGIN
     ICON IDI_ICON1, IDC_STATIC, 21, 7, 20, 20
-    LTEXT "15 veya daha az karakterden oluşan bir bilgisayar adı yazın. Eğer bir ağa dahil iseniz isim benzersiz olmalıdır.", IDC_STATIC, 54, 7, 250, 24
+    LTEXT "Bilgisayarınız için 15 ya da daha az damgadan olan bir ad yazınız. Bir ağ üzerindeyseniz bilgisayarınızın adı eşsiz olmalıdır.", IDC_STATIC, 54, 7, 250, 24
     LTEXT "&Bilgisayar Adı:", IDC_STATIC, 54, 38, 75, 8
     EDITTEXT IDC_COMPUTERNAME, 165, 35, 148, 14, WS_VISIBLE | WS_TABSTOP | ES_AUTOHSCROLL | ES_UPPERCASE
     ICON IDI_ICON5, IDC_STATIC, 21, 57, 20, 20
-    LTEXT "Kur, ""Yönetici"" adıyla bir yönetici hesabı oluşturacak. Bu hesabı bilgisayara tam erişim için kullanabileceksiniz.", IDC_STATIC, 54, 57, 250, 25
-    LTEXT "127 karakter yada daha az bir Yönetici Parolası yazın.", IDC_STATIC, 54, 87, 250, 8
-    LTEXT "&Yönetici Parolası:", IDC_STATIC, 54, 104, 105, 8
+    LTEXT "Kur, bilgisayarınızda ""Yönetici"" olarak adlandırılan bir kullanıcı hesabı oluşturacaktır. Bilgisayarınıza tüm erişime gerek duyarsanız bu hesâbı kullanabilirsiniz.", IDC_STATIC, 54, 57, 250, 25
+    LTEXT "127 ya da daha az damgadan olan bir Yönetici şifresi yazınız.", IDC_STATIC, 54, 87, 250, 8
+    LTEXT "&Yönetici Şifresi:", IDC_STATIC, 54, 104, 105, 8
     EDITTEXT IDC_ADMINPASSWORD1, 165, 101, 148, 14, WS_VISIBLE | WS_TABSTOP | ES_PASSWORD
-    LTEXT "Parolayı &Doğrula:", IDC_STATIC, 54, 123, 105, 8
+    LTEXT "&Şifreyi Doğrula:", IDC_STATIC, 54, 123, 105, 8
     EDITTEXT IDC_ADMINPASSWORD2, 165, 120, 148, 14, WS_VISIBLE | WS_TABSTOP | ES_PASSWORD
 END
 
@@ -59,14 +61,14 @@ CAPTION "ReactOS Kur"
 FONT 8, "MS Shell Dlg"
 BEGIN
     ICON IDI_ICON4, IDC_STATIC, 21, 7, 20, 20
-    LTEXT "Sistem yerelleştirme ayarları uygulamaların kullanacağı dili belirler. Giriş dili ise; girilen karakterlerin nasıl görüneceğini, tarihin ve saatin nasıl olacağını belirler.", IDC_STATIC, 53, 7, 253, 20
+    LTEXT "Dizge yerli ayârı, kullanmak istediğiniz uygulamaların diliyle eşleşmelidir. Kullanıcı yerli ayârı; sayıların, para birimlerinin ve zamanların nasıl görüneceğini denetler.", IDC_STATIC, 53, 7, 253, 20
     LTEXT "", IDC_LOCALETEXT, 53, 29, 250, 16
-    LTEXT "Yerelleştirme ayarlarını belirlemek için Özelleştir'e tıklayın.", IDC_STATIC, 53, 60, 196, 8
-    PUSHBUTTON "&Özelleştir...", IDC_CUSTOMLOCALE, 250, 57, 50, 14
-    LTEXT "Giriş dili kontrolleri tuşlara bastığınızda ekranda çıkacak karakterleri belirler.", IDC_STATIC, 53, 86, 253, 8
+    LTEXT "Dizge veyâ kullanıcı yerli ayarlarını değiştirmek için Husûsîleştir'e tıklayınız.", IDC_STATIC, 53, 60, 196, 8
+    PUSHBUTTON "&Husûsîleştir...", IDC_CUSTOMLOCALE, 250, 57, 50, 14
+    LTEXT "Düğme takımı düzeni yazdığınızda gözüken damgaları denetler.", IDC_STATIC, 53, 86, 253, 8
     LTEXT "", IDC_LAYOUTTEXT, 53, 100, 250, 16
-    LTEXT "Giriş dilinizi değiştirmek için Özelleştir'e tıklayın.", IDC_STATIC, 53, 126, 184, 8
-    PUSHBUTTON "&Özelleştir...", IDC_CUSTOMLAYOUT, 250, 122, 50, 14
+    LTEXT "Düğme takımı düzenini değiştirmek için Husûsîleştir'e tıklayınız.", IDC_STATIC, 53, 126, 184, 8
+    PUSHBUTTON "H&usûsîleştir...", IDC_CUSTOMLAYOUT, 250, 122, 50, 14
 END
 
 IDD_DATETIMEPAGE DIALOGEX 0, 0, 317, 143
@@ -75,12 +77,12 @@ CAPTION "ReactOS Kur"
 FONT 8, "MS Shell Dlg"
 BEGIN
     ICON IDI_ICON3, IDC_STATIC, 21, 10, 20, 20
-    LTEXT "Tarih ve Saat:", IDC_STATIC, 53, 7, 253, 8
+    LTEXT "Târih ve Saat:", IDC_STATIC, 53, 7, 253, 8
     CONTROL "", IDC_DATEPICKER, "SysDateTimePick32", DTS_LONGDATEFORMAT | WS_CHILD | WS_VISIBLE | WS_TABSTOP, 53, 17, 137, 14
     CONTROL "", IDC_TIMEPICKER, "SysDateTimePick32", DTS_TIMEFORMAT | WS_CHILD | WS_VISIBLE | WS_TABSTOP, 200, 17, 54, 14
     LTEXT "Zaman Dilimi:", IDC_STATIC, 53, 42, 253, 8
     COMBOBOX IDC_TIMEZONELIST, 53, 52, 201, 93, CBS_DROPDOWNLIST | WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL
-    AUTOCHECKBOX "Gün ışığından yararlanma sistemine göre saati ayarla", IDC_AUTODAYLIGHT, 53, 124, 201, 10
+    AUTOCHECKBOX "&Gün ışığı tutum değişiklikleri için saati kendiliğinden ayarla.", IDC_AUTODAYLIGHT, 53, 124, 201, 10
 END
 
 IDD_PROCESSPAGE DIALOGEX 0, 0, 317, 143
@@ -95,18 +97,18 @@ END
 
 IDD_FINISHPAGE DIALOGEX 0, 0, 317, 193
 STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
-CAPTION "ReactOS Kur Tamamlanıyor"
+CAPTION "ReactOS Kur'un Bitirilmesi"
 FONT 8, "MS Shell Dlg"
 BEGIN
-    LTEXT "ReactOS Kurulum Sihirbazı tamamlanıyor", IDC_FINISHTITLE, 115, 8, 195, 24
-    LTEXT "ReactOS Kurulumu'nu başarıyla tamamladınız.\n\nBitir'e bastığınızda, bilgisayarınız yeniden başlatılacak.", IDC_STATIC, 115, 40, 195, 100
+    LTEXT "ReactOS Kurulum Yardımcısı'nın Bitirilmesi", IDC_FINISHTITLE, 115, 8, 195, 24
+    LTEXT "ReactOS Kur'u başarıyla bitirdiniz.\n\nBitir'e tıkladığınızda, bilgisayarınız yeniden başlatılacaktır.", IDC_STATIC, 115, 40, 195, 100
     CONTROL "", IDC_RESTART_PROGRESS, "msctls_progress32", PBS_SMOOTH | WS_CHILD | WS_VISIBLE | WS_BORDER, 115, 138, 188, 12
-    LTEXT "Eğer sürücüde bir CD varsa, şuan çıkarın ve ardından bilgisayarı yeniden başlatmak için Bitir'e basın.", IDC_STATIC, 115, 169, 195, 17
+    LTEXT "Eğer bir sürücüde bir CD varsa, onu çıkarınız. Sonra bilgisayarınızı yeniden başlatmak için Bitir'e tıklayınız.", IDC_STATIC, 115, 169, 195, 17
 END
 
 IDD_GPL DIALOGEX 0, 0, 333, 230
 STYLE DS_SHELLFONT | DS_CENTER | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
-CAPTION "GNU Genel Halka Açık Lisansı"
+CAPTION "GNU Umûmî Kamu Ruhsatı"
 FONT 8, "MS Shell Dlg"
 BEGIN
     EDITTEXT IDC_GPL_TEXT, 7, 7, 319, 190, ES_MULTILINE | ES_AUTOHSCROLL | ES_READONLY | WS_VSCROLL
@@ -115,7 +117,7 @@ END
 
 IDD_STATUSWINDOW_DLG DIALOGEX 0, 0, 274, 26
 STYLE NOT WS_VISIBLE | DS_CENTER | DS_MODALFRAME | DS_SHELLFONT | WS_BORDER | WS_CAPTION | WS_DLGFRAME | WS_POPUP
-CAPTION "Lütfen bekleyin..."
+CAPTION "Lütfen bekleyiniz..."
 FONT 8, "MS Shell Dlg", 400, 0, 1
 BEGIN
     LTEXT "", IDC_STATUSLABEL, 7, 8, 234, 12, SS_WORDELLIPSIS
@@ -123,30 +125,30 @@ END
 
 STRINGTABLE
 BEGIN
-    IDS_ACKTITLE "Emeği geçenler"
-    IDS_ACKSUBTITLE "ReactOS'ın bel kemiğini oluşturanlar ve lisans bilgileri"
-    IDS_OWNERTITLE "Yazılımınızı Kişiselleştirin"
-    IDS_OWNERSUBTITLE "Kur, bu bilgileri sizin ReactOS'ı kişiselleştirmeniz için kullanılacak."
-    IDS_COMPUTERTITLE "Bilgisayar Adı ve Yönetici Parolası"
-    IDS_COMPUTERSUBTITLE "Bilgisayarınız için eşsiz bir isim ve bir Yönetici Parolası belirlemelisiniz."
-    IDS_LOCALETITLE "Bölgesel ayarlar"
-    IDS_LOCALESUBTITLE "ReactOS'ı farklı bölgesel seçenekler için yapılandırın."
-    IDS_DATETIMETITLE "Tarih ve Saat"
-    IDS_DATETIMESUBTITLE "Bilgisayarını için tarih ve saati ayarlayın."
+    IDS_ACKTITLE "Teşekkürler"
+    IDS_ACKSUBTITLE "ReactOS'a dayanan destekler ve ruhsat bilgisi:"
+    IDS_OWNERTITLE "Yazılım'ınızı Şahsîleştirin"
+    IDS_OWNERSUBTITLE "Kur, ReactOS'u şahsîleştirmek için kendiniz üzerine bu bilgiyi kullanır."
+    IDS_COMPUTERTITLE "Bilgisayar Adı ve Yönetici Şifresi"
+    IDS_COMPUTERSUBTITLE "Bilgisayarınız için bir ad ve bir Yönetici şifresi sağlamalısınız."
+    IDS_LOCALETITLE "Yerli Ayarlar"
+    IDS_LOCALESUBTITLE "Ayrı bölgeler ve diller için ReactOS'u husûsîleştirebilirsiniz."
+    IDS_DATETIMETITLE "Târih ve Saat"
+    IDS_DATETIMESUBTITLE "Bilgisayarınız için doğru zamânı ayarlayınız."
     IDS_PROCESSTITLE "Bileşenler Kaydediliyor"
-    IDS_PROCESSSUBTITLE "Lütfen bekleyin..."
+    IDS_PROCESSSUBTITLE "Lütfen bekleyiniz..."
 END
 
 STRINGTABLE
 BEGIN
     IDS_REACTOS_SETUP "ReactOS Kur"
-    IDS_UNKNOWN_ERROR "Bilinmeyen hata"
+    IDS_UNKNOWN_ERROR "Bilinmeyen Yanlışlık"
     IDS_REGISTERING_COMPONENTS "Bileşenler kaydediliyor..."
-    IDS_LOADLIBRARY_FAILED "Kütüphane kurulumu başarısız oldu: "
-    IDS_GETPROCADDR_FAILED "Eylem adresi alınamadı: "
-    IDS_REGSVR_FAILED "Dll Hizmet Kaydı başarısız oldu: "
-    IDS_DLLINSTALL_FAILED "Dll Kurulumu başarısız oldu: "
-    IDS_TIMEOUT "Kayıt, süre aşımına uğradı"
+    IDS_LOADLIBRARY_FAILED "LoadLibrary başarısız oldu: "
+    IDS_GETPROCADDR_FAILED "GetProcAddr başarısız oldu: "
+    IDS_REGSVR_FAILED "DllRegisterServer başarısız oldu: "
+    IDS_DLLINSTALL_FAILED "DllInstall başarısız oldu: "
+    IDS_TIMEOUT "Kayıt sırasında süre aşımı."
     IDS_REASON_UNKNOWN ""
     /*
      * ATTENTION: 
@@ -155,18 +157,18 @@ BEGIN
      *   Also check the IDD_COMPUTERPAGE dialog.
      */
     IDS_ADMINISTRATOR_NAME "Yönetici"
-    IDS_MACHINE_OWNER_NAME "Sahip"
+    IDS_MACHINE_OWNER_NAME "İye"
 END
 
 STRINGTABLE
 BEGIN
-    IDS_WZD_NAME "Kur, isim girilmeden devam edemez."
-    IDS_WZD_SETCOMPUTERNAME "Kur, bilgisayar adınızı tanımlayamıyor."
-    IDS_WZD_COMPUTERNAME "Kur, bir bilgisayar adı girilmeden devam edemez."
-    IDS_WZD_PASSWORDEMPTY "Bir parola girmelisiniz !"
-    IDS_WZD_PASSWORDMATCH "Girdiğiniz parolalar uyuşmuyor. Lütfen kontrol ediniz."
-    IDS_WZD_PASSWORDCHAR "Girdiğiniz parola uygun olmayan karakterler içeriyor. Lütfen kontrol ediniz."
-    IDS_WZD_LOCALTIME "Kur, yerel zamanı tanımlayamıyor."
+    IDS_WZD_NAME "Kur, adınızı girene dek sürdüremez."
+    IDS_WZD_SETCOMPUTERNAME "Kur, bilgisayar adını ayarlamada başarısız oldu."
+    IDS_WZD_COMPUTERNAME "Kur, bilgisayarınızın adını girene dek sürdüremez."
+    IDS_WZD_PASSWORDEMPTY "Bir şifre girmelisiniz!"
+    IDS_WZD_PASSWORDMATCH "Girdiğiniz şifreler uyuşmuyor. Lütfen istenen şifreyi yeniden giriniz."
+    IDS_WZD_PASSWORDCHAR "Girdiğiniz şifre geçersiz damgalar içeriyor. Lütfen arı bir şifre giriniz."
+    IDS_WZD_LOCALTIME "Kur, yerli zamânı ayarlayamadı."
 END
 
 STRINGTABLE
diff --git a/reactos/media/rapps/farmanager.txt b/reactos/media/rapps/farmanager.txt
index 8111554..72c4272 100644
--- a/reactos/media/rapps/farmanager.txt
+++ b/reactos/media/rapps/farmanager.txt
@@ -18,3 +18,8 @@ Size = 10,2 MiB
 Description = Двух панельный консольный менеджер файлов
 Size = 10,2 MiB
 
+[Section.041f]
+Version = 3.0 yapı 4700
+Description = Yan yana iki bölmeli, açık kaynak konsol tabanlı bir kütük yöneticisi.
+Size = 10,2 MiB
+
diff --git a/reactos/media/rapps/freemat.txt b/reactos/media/rapps/freemat.txt
index 70bc0dd..37de157 100644
--- a/reactos/media/rapps/freemat.txt
+++ b/reactos/media/rapps/freemat.txt
@@ -17,3 +17,8 @@ Size = 49,8 MiB
 Description = Бесплатная среда для быстрой инженерной и научной обработки данных.
 Size = 49,8 MiB
 
+[Section.041f]
+License = GPL sürüm 2
+Description = Hızlı mühendislik, bilimlik ilk örnekleme ve veri işleme için özgür bir ortam.
+Size = 49,8 MiB
+
diff --git a/reactos/media/rapps/podcasteasy.txt b/reactos/media/rapps/podcasteasy.txt
index fda44f7..09ba5b0 100644
--- a/reactos/media/rapps/podcasteasy.txt
+++ b/reactos/media/rapps/podcasteasy.txt
@@ -19,3 +19,8 @@ License = GNU GPL v3
 Description = Приложение для загрузки подкастов.
 Size = 682,5 KiB
 
+[Section.041f]
+License = GNU GPL sürüm 3
+Description = Ortam akışlarını indirmek için uygulama.
+Size = 682,5 KiB
+
diff --git a/reactos/media/rapps/scilab.txt b/reactos/media/rapps/scilab.txt
index 1a83dec..72ddd5f 100644
--- a/reactos/media/rapps/scilab.txt
+++ b/reactos/media/rapps/scilab.txt
@@ -43,7 +43,7 @@ Size = 128,4 MiB
 Description = Softvér pre numerické výpočty v strojárstve a vedeckých aplikáciách.
 
 [Section.041f]
-Description = mühendislik ve bilimsel uygulamalarda sayısal hesaplama için bir yazılım.
+Description = Mühendislik ve bilimlik uygulamalarda sayısal hesaplama için bir yazılım.
 Size = 128,4 MiB
 
 [Section.0422]
diff --git a/reactos/media/rapps/tcc.txt b/reactos/media/rapps/tcc.txt
index ca30b89..eaf76ac 100644
--- a/reactos/media/rapps/tcc.txt
+++ b/reactos/media/rapps/tcc.txt
@@ -18,3 +18,8 @@ Size = 385,7 KiB
 Description = Небольшой, но быстрый C компилятор.
 Size = 385,7 KiB
 
+[Section.041f]
+Name = Minik C Derleyicisi
+Description = Küçük ancak aşırı hızlı bir C derleyicisi.
+Size = 385,7 KiB
+
diff --git a/reactos/media/rapps/unxutils.txt b/reactos/media/rapps/unxutils.txt
index 0bb92795..dbcbe8c 100644
--- a/reactos/media/rapps/unxutils.txt
+++ b/reactos/media/rapps/unxutils.txt
@@ -18,3 +18,9 @@ Size = 3,2 MiB
 Description = Некоторые порты стандартных утилит GNU для Win32.
 Size = 3,2 MiB
 
+[Section.041f]
+Name = Win32 için GNU araçları
+License = GPL sürüm 2
+Description = Gerçek Win32 için bilinen birtakım GNU araçlarının uyarlaması.
+Size = 3,2 MiB
+
diff --git a/reactos/win32ss/user/user32/lang/tr-TR.rc b/reactos/win32ss/user/user32/lang/tr-TR.rc
index 855e7ef..64e906f 100644
--- a/reactos/win32ss/user/user32/lang/tr-TR.rc
+++ b/reactos/win32ss/user/user32/lang/tr-TR.rc
@@ -1,4 +1,4 @@
-/* Turkish translation by Arda Tanrikulu <ardatanrikulu@gmail.com> */
+/* TRANSLATORS: 2012 Arda Tanrıkulu (ardatan) (ardatanrikulu@gmail.com), 2016 Erdem Ersoy (eersoy93) (erdemersoy@live.com) */
  
 LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 
@@ -7,7 +7,7 @@ LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 SELWINDOW DIALOGEX 20, 20, 220, 140
 STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
 FONT 8, "MS Shell Dlg"
-CAPTION "pencere Seç"
+CAPTION "Pencere Seç"
 BEGIN
     LISTBOX 100, 5, 5, 210, 110, LBS_NOTIFY | LBS_NOINTEGRALHEIGHT | WS_CHILD | WS_VISIBLE | WS_BORDER | WS_VSCROLL | WS_HSCROLL
     PUSHBUTTON "Tamam", 1, 60, 120, 40, 15, BS_DEFPUSHBUTTON | WS_CHILD | WS_VISIBLE | WS_TABSTOP
@@ -22,58 +22,58 @@ BEGIN
     BEGIN
         MENUITEM "&Geri Al", EM_UNDO
         MENUITEM SEPARATOR
-        MENUITEM "K&es", WM_CUT
-        MENUITEM "&Kopyala", WM_COPY
+        MENUITEM "&Kes", WM_CUT
+        MENUITEM "&Çoğalt", WM_COPY
         MENUITEM "&Yapıştır", WM_PASTE
         MENUITEM "&Sil", WM_CLEAR
         MENUITEM SEPARATOR
-        MENUITEM "T&ümünü Seç", EM_SETSEL
+        MENUITEM "&Tümünü Seç", EM_SETSEL
     END
 END
 
 SYSMENU MENU
 BEGIN
-    MENUITEM "Ö&nceki Boyut", SC_RESTORE
+    MENUITEM "&Önceki Boyutlarına Döndür", SC_RESTORE
     MENUITEM "&Taşı", SC_MOVE
-    MENUITEM "&Boyut", SC_SIZE
+    MENUITEM "&Yeniden Boyutlandır", SC_SIZE
     MENUITEM "&Simge Durumuna Küçült", SC_MINIMIZE
-    MENUITEM "&Ekranı Kapla", SC_MAXIMIZE
+    MENUITEM "&Görüntülüğü Kaplat", SC_MAXIMIZE
     MENUITEM SEPARATOR
-    MENUITEM "&Kapat\tAlt+F4", SC_CLOSE
+    MENUITEM "&Kapat\tSeçenek+F4", SC_CLOSE
 END
 
 SYSMENUMDI MENU
 BEGIN
-    MENUITEM "Ö&nceki Boyut", SC_RESTORE
+    MENUITEM "&Önceki Boyutlarına Döndür", SC_RESTORE
     MENUITEM "&Taşı", SC_MOVE
-    MENUITEM "&Boyut", SC_SIZE
+    MENUITEM "&Yeniden Boyutlandır", SC_SIZE
     MENUITEM "&Simge Durumuna Küçült", SC_MINIMIZE
-    MENUITEM "&Ekranı Kapla", SC_MAXIMIZE
+    MENUITEM "&Görüntülüğü Kaplat", SC_MAXIMIZE
     MENUITEM SEPARATOR
-    MENUITEM "&Kapat\tCtrl+F4", SC_CLOSE
+    MENUITEM "&Kapat\tDenetim+F4", SC_CLOSE
     MENUITEM SEPARATOR
-    MENUITEM "İle&ri\tCtrl+F6", SC_NEXTWINDOW
+    MENUITEM "&İleri\tDenetim+F6", SC_NEXTWINDOW
 END
 
 /* Strings */
 
 STRINGTABLE
 BEGIN
-    IDS_ERROR "Hata"
+    IDS_ERROR "Yanlışlık"
     IDS_OK "Tamam"
     IDS_CANCEL "İptal"
     IDS_ABORT "&Durdur"
     IDS_RETRY "&Yeniden Dene"
-    IDS_IGNORE "&Yoksay"
+    IDS_IGNORE "Y&ok Say"
     IDS_YES "&Evet"
     IDS_NO "&Hayır"
     IDS_CLOSE "&Kapat"
     IDS_HELP "Yardım"
-    IDS_TRYAGAIN "&Yeniden Dene"
-    IDS_CONTINUE "&Devam"
+    IDS_TRYAGAIN "Ye&niden Dene"
+    IDS_CONTINUE "&Sürdür"
 END
 
 STRINGTABLE
 BEGIN
-    IDS_MDI_MOREWINDOWS "&Tüm Pencereler..."
+    IDS_MDI_MOREWINDOWS "&Daha Çok Pencere..."
 END
diff --git a/reactos/win32ss/user/winsrv/consrv/frontends/gui/lang/tr-TR.rc b/reactos/win32ss/user/winsrv/consrv/frontends/gui/lang/tr-TR.rc
index 9632005..0078639 100644
--- a/reactos/win32ss/user/winsrv/consrv/frontends/gui/lang/tr-TR.rc
+++ b/reactos/win32ss/user/winsrv/consrv/frontends/gui/lang/tr-TR.rc
@@ -1,32 +1,32 @@
-/* Turkish translation by Arda Tanrikulu <ardatanrikulu@gmail.com> */
+/* TRANSLATORS: 2012 Arda Tanrıkulu (ardatan) (ardatanrikulu@gmail.com), 2016 Erdem Ersoy (eersoy93) (erdemersoy@live.com) */
 
 LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 
 STRINGTABLE
 BEGIN
-    IDS_EDIT "Düzenle"
-    IDS_MARK "İşaretle"
-    IDS_COPY "Kopyala\tEnter"
+    IDS_EDIT "&Düzenle"
+    IDS_MARK "İmle"
+    IDS_COPY "Çoğalt\tGiriş"
     IDS_PASTE "Yapıştır"
     IDS_SELECTALL "Tümünü Seç"
-    IDS_SCROLL "Yuvarla"
+    IDS_SCROLL "Kaydır"
     IDS_FIND "Bul..."
-    IDS_DEFAULTS "Varsayılanlar"
-    IDS_PROPERTIES "Özellikler"
+    IDS_DEFAULTS "&Ön Tanımlılar"
+    IDS_PROPERTIES "&Husûsîyetler"
 /*
-    IDS_SCROLLHERE "Buraya yuvarla"
-    IDS_SCROLLTOP "Üste yuvarla"
-    IDS_SCROLLBOTTOM "Alta yuvarla"
-    IDS_SCROLLPAGE_UP "Sayfa yukarı"
-    IDS_SCROLLPAGE_DOWN "Sayfa aşağı"
-    IDS_SCROLLUP "Yukarı yuvarla"
-    IDS_SCROLLDOWN "Aşağı yuvarla"
+    IDS_SCROLLHERE "Buraya Kaydır"
+    IDS_SCROLLTOP "Üste Kaydır"
+    IDS_SCROLLBOTTOM "Alta Kaydır"
+    IDS_SCROLLPAGE_UP "Bir Sayfa Yukarı"
+    IDS_SCROLLPAGE_DOWN "Bir Sayfa Aşağı"
+    IDS_SCROLLUP "Yukarı Kaydır"
+    IDS_SCROLLDOWN "Aşağı Kaydır"
 */
-    IDS_TERMINAL_TITLE "ReactOS Console"
+    IDS_TERMINAL_TITLE "ReactOS Konsol"
 END
 
 STRINGTABLE
 BEGIN
-    IDS_MARK_TITLE "Mark"
-    IDS_SELECT_TITLE "Select"
+    IDS_MARK_TITLE "İmle"
+    IDS_SELECT_TITLE "Seç"
 END
diff --git a/reactos/win32ss/user/winsrv/consrv_new/frontends/gui/lang/tr-TR.rc b/reactos/win32ss/user/winsrv/consrv_new/frontends/gui/lang/tr-TR.rc
index aba643b..ff2f3ed 100644
--- a/reactos/win32ss/user/winsrv/consrv_new/frontends/gui/lang/tr-TR.rc
+++ b/reactos/win32ss/user/winsrv/consrv_new/frontends/gui/lang/tr-TR.rc
@@ -1,26 +1,26 @@
-/* Turkish translation by Arda Tanrikulu <ardatanrikulu@gmail.com> */
+/* TRANSLATORS: 2012 Arda Tanrıkulu (ardatan) (ardatanrikulu@gmail.com), 2016 Erdem Ersoy (eersoy93) (erdemersoy@live.com) */
 
 LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 
 STRINGTABLE
 BEGIN
     IDS_EDIT "Düzenle"
-    IDS_MARK "İşaretle"
-    IDS_COPY "Kopyala\tEnter"
+    IDS_MARK "İmle"
+    IDS_COPY "Çoğalt\tGiriş"
     IDS_PASTE "Yapıştır"
     IDS_SELECTALL "Tümünü Seç"
-    IDS_SCROLL "Yuvarla"
+    IDS_SCROLL "Kaydır"
     IDS_FIND "Bul..."
-    IDS_DEFAULTS "Varsayılanlar"
-    IDS_PROPERTIES "Özellikler"
+    IDS_DEFAULTS "Ön Tanımlılar"
+    IDS_PROPERTIES "Husûsîyetler"
 /*
-    IDS_SCROLLHERE "Buraya yuvarla"
-    IDS_SCROLLTOP "Üste yuvarla"
-    IDS_SCROLLBOTTOM "Alta yuvarla"
-    IDS_SCROLLPAGE_UP "Sayfa yukarı"
-    IDS_SCROLLPAGE_DOWN "Sayfa aşağı"
-    IDS_SCROLLUP "Yukarı yuvarla"
-    IDS_SCROLLDOWN "Aşağı yuvarla"
+    IDS_SCROLLHERE "Buraya Kaydır"
+    IDS_SCROLLTOP "Üste Kaydır"
+    IDS_SCROLLBOTTOM "Alta Kaydır"
+    IDS_SCROLLPAGE_UP "Bir Sayfa Yukarı"
+    IDS_SCROLLPAGE_DOWN "Bir Sayfa Aşağı"
+    IDS_SCROLLUP "Yukarı Kaydır"
+    IDS_SCROLLDOWN "Aşağı Kaydır"
 */
-    IDS_TERMINAL_TITLE "ReactOS Console"
+    IDS_TERMINAL_TITLE "ReactOS Konsol"
 END
diff --git a/reactos/win32ss/user/winsrv/usersrv/lang/tr-TR.rc b/reactos/win32ss/user/winsrv/usersrv/lang/tr-TR.rc
index 9f15df7..5d6d4e4 100644
--- a/reactos/win32ss/user/winsrv/usersrv/lang/tr-TR.rc
+++ b/reactos/win32ss/user/winsrv/usersrv/lang/tr-TR.rc
@@ -1,26 +1,26 @@
-/* Turkish translation by Arda Tanrikulu <ardatanrikulu@gmail.com> */
+/* TRANSLATORS: 2012 Arda Tanrıkulu (ardatan) (ardatanrikulu@gmail.com), 2016 Erdem Ersoy (eersoy93) (erdemersoy@live.com) */
 
 LANGUAGE LANG_TURKISH, SUBLANG_DEFAULT
 
 IDD_END_NOW DIALOGEX 0, 0, 200, 95
 STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CENTER | WS_POPUP | WS_CAPTION | WS_SYSMENU
-CAPTION "Programı Sonlandır - "
+CAPTION "İzlenceyi Sonlandır - "
 FONT 8, "MS Shell Dlg"
 BEGIN
-    LTEXT "Program Sonlandırılıyor... Lütfen bekleyin", IDC_STATIC, 7, 7, 186, 11
-    CONTROL "İşlem", IDC_PROGRESS, "msctls_progress32", WS_BORDER, 7, 20, 186, 13
-    LTEXT "Programı hemen kapatmayı seçerseniz, kaydedilmemiş veriyi kaybedersiniz. Programdan şimdi çıkmak için Şimdi Sonlandır'ı tıklatın.", IDC_STATIC, 7, 40, 186, 26
+    LTEXT "İzlence sonlandırılıyor... Lütfen bekleyiniz.", IDC_STATIC, 7, 7, 186, 11
+    CONTROL "İlerleme", IDC_PROGRESS, "msctls_progress32", WS_BORDER, 7, 20, 186, 13
+    LTEXT "İzlenceyi hemen kapatmayı seçerseniz, tüm saklanmamış veriyi yitireceksiniz. İzlenceden şimdi çıkmak için Şimdi Sonlandır'a tıklayınız.", IDC_STATIC, 7, 40, 186, 26
     DEFPUSHBUTTON "&Şimdi Sonlandır", IDC_END_NOW, 150, 71, 43, 17
 END
 
 IDD_NOT_RESPONDING DIALOGEX 0, 0, 192, 122
 STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CENTER | WS_POPUP | WS_CAPTION | WS_SYSMENU
-CAPTION "End Program - "
+CAPTION "İzlenceyi Sonlandır - "
 FONT 8, "MS Shell Dlg"
 BEGIN
     DEFPUSHBUTTON "İptal", IDCANCEL, 142, 98, 43, 17
-    PUSHBUTTON "Şimdi Sonlandır", IDC_END_NOW, 78, 98, 43, 17
-    LTEXT "Bu program yanıt vermiyor.", IDC_STATIC, 7, 7, 178, 8
-    LTEXT "ReactOS'a dönmek ve programın durumunu denetlemek için İptal'i tıklatın.", IDC_STATIC, 7, 26, 178, 16
-    LTEXT "Programı hemen kapatmayı seçerseniz, kaydedilmemiş veriyi kaybedersiniz. Programdan şimdi çıkmak için Şimdi Sonlandır'ı tıklatın.", IDC_STATIC, 7, 53, 178, 26
+    PUSHBUTTON "&Şimdi Sonlandır", IDC_END_NOW, 78, 98, 43, 17
+    LTEXT "Bu izlence yanıt vermiyor.", IDC_STATIC, 7, 7, 178, 8
+    LTEXT "ReactOS'a dönmek ve izlencenin durumunu denetlemek için İptal'e tıklayınız.", IDC_STATIC, 7, 26, 178, 16
+    LTEXT "İzlenceyi hemen kapatmayı seçerseniz, tüm saklanmamış veriyi yitireceksiniz. İzlenceden şimdi çıkmak için Şimdi Sonlandır'a tıklayınız.", IDC_STATIC, 7, 53, 178, 26
 END
